jQuery(document).ready(function ($) {

    Dropzone.autoDiscover = false;
    var thisDZconfig, DZdefaultconfig = {
        autoProcessQueue: false,
        url: "index.php?option=com_osma&task=interventi.aggiungiFile&format=raw",
        clickable: true,
        addRemoveLinks: true,
        parallelUploads: 1,
        resizeWidth: 1920,
        resizeHeight: 1920,
        resizeQuality: 0.75,
        resizeMethod: 'contain',
        init: function () {
            this.on("addedfile", function (file) {
                var thisDB = this;
                file.previewElement.addEventListener("click", function () {
                    thisDB.removeFile(file);
                });
                if (myDropzone1.files.length && myDropzone2.files.length) {
                    $("form[name='chiudiIntervento'] .chiudi-intervento-button").removeClass("disabled");
                }
            });
            this.on("sending", function (file, xhr, formData) {
                formData.append('idIntervento', $("form[name='chiudiIntervento'] #idIntervento").val());
                formData.append('tipo', $(this.element).data("tipo"));
            });
            this.on("maxfilesexceeded", function () {
                alert("Allegato troppo grande");
            });
        },
        dictDefaultMessage: "Aggiungi DUVRI",
        dictRemoveFile: "Rimuovi",
        dictCancelUpload: "Annulla"
    };
    thisDZconfig = DZdefaultconfig;
    var myDropzone1 = new Dropzone("div#dropz-duvri", thisDZconfig);

    thisDZconfig = DZdefaultconfig;
    thisDZconfig.dictDefaultMessage = "Aggiungi rapporto";
    var myDropzone2 = new Dropzone("div#dropz-rapporto", thisDZconfig);

    thisDZconfig = DZdefaultconfig;
    thisDZconfig.dictDefaultMessage = "Aggiungi allegati";
    thisDZconfig.url = "index.php?option=com_osma&task=interventi.upload&format=raw";
    thisDZconfig.init = function () {
        this.on("sending", function (file, xhr, formData) {
            formData.append('idIntervento', $("form[name='chiudiIntervento'] #idIntervento").val());
            formData.append('idChiamata', $("form[name='chiudiIntervento'] #idChiamata").val());
        });
    };
    var myDropzoneCA = new Dropzone("div#dropz-chiudi-allegati", thisDZconfig);

    thisDZconfig = DZdefaultconfig;
    thisDZconfig.dictDefaultMessage = "Aggiungi allegati";
    thisDZconfig.url = "index.php?option=com_osma&task=interventi.upload&format=raw";
    thisDZconfig.init = function () {
        this.on("sending", function (file, xhr, formData) {
            formData.append('idIntervento', $("form[name='sospendiIntervento'] #idIntervento").val());
            formData.append('idChiamata', $("form[name='sospendiIntervento'] #idChiamata").val());
        });
    };
    var myDropzoneCAS = new Dropzone("div#dropz-sospendi-allegati", thisDZconfig);

    if ($("div#dropz-comunicazione").size() > 0) {
        thisDZconfig.dictDefaultMessage = "Aggiungi allegati (max 3)";
        thisDZconfig.maxFiles = 3;
        thisDZconfig.autoProcessQueue = true;
        thisDZconfig.url = "index.php?option=com_osma&task=chiamate.addAttachments&format=raw";
        thisDZconfig.init = function () {
            this.on("success", function (file, xhr, formData) {
                xhr = JSON.parse(xhr);
                if (xhr.status && xhr.filename) {
                    file.id = xhr.id;
                    $("form[name='inviaComunicazione']").append("<input type='hidden' name='attachment[" + xhr.id + "]' value='" + xhr.filename + "' />");
                }
            });
        };
        thisDZconfig.removedfile = function (file) {
            $("form[name='inviaComunicazione'] [name='attachment[" + file.id + "]']").remove();
            var _ref;
            return (_ref = file.previewElement) != null ? _ref.parentNode.removeChild(file.previewElement) : void 0;
        };
        var myDropzone3 = new Dropzone("div#dropz-comunicazione", thisDZconfig);
    }


    $(".chosen").each(function () {
        var options = {
            no_results_text: "Nessun risultato",
            allow_single_deselect: true
        };
        if ($(this).data("placeholder-text")) {
            options.placeholder_text_single = $(this).data("placeholder-text");
        }
        $(this).chosen(options);
    });
    $('#filter_data').datetimepicker({
        format: 'DD/MM/YYYY'
    });
    $(document).on("click", ".control-group-icon", function () {
        $("#" + $(this).data("toggle")).data("DateTimePicker").toggle();
    });

    $('[data-toggle="tooltip"]').tooltip();

    $(document).on('click', '.print', function () {
        var idChiamata = $(this).data('id');
        $.ajax({
            type: 'POST',
            url: "index.php?option=com_osma&task=chiamate.stampa&format=raw",
            dataType: "html",
            data: {
                idChiamata: idChiamata
            }
        }).done(function (toPrint) {
            var WinPrint = window.open('', '', 'left=0,top=0,width=800,height=900,toolbar=0,scrollbars=0,status=0');
            WinPrint.document.write(toPrint);
            WinPrint.document.close();
            WinPrint.focus();
            WinPrint.print();
            WinPrint.close();
        });
        return false;
    });
    $(document).on('click', '.print-all', function () {
        window.print();
        return false;
    });
    $(document).on("click", '.sospendi-intervento', function () {
        $("form[name='sospendiIntervento']").find("#idIntervento").val($(this).parents(".dettagli-intervento").data("idintervento"));
        $("form[name='sospendiIntervento']").find("#idChiamata").val($(this).parents(".dettagli-intervento").data("idchiamata"));
        return false;
    });
    $(document).on("change, keyup", "form[name='sospendiIntervento'] [name='noteCambioStato']", function () {
        if ($(this).val()) {
            $(this).parents("form").find(".sospendi-intervento-button").removeClass("disabled");
        } else {
            $(this).parents("form").find(".sospendi-intervento-button").addClass("disabled");
        }
    });
    $(document).on("click", "form[name='sospendiIntervento'] .sospendi-intervento-button:not(.disabled)", function () {
        if (myDropzoneCAS.getQueuedFiles().length > 0) {
            myDropzoneCAS.on("queuecomplete", function () {
                jQuery.ajax({
                    type: 'POST',
                    url: "index.php?option=com_osma&task=interventi.updateStato&format=raw",
                    dataType: "json",
                    data: $("form[name='sospendiIntervento']").serialize()
                }).done(function (data) {
                    if (data.status) {
                        window.location.reload();
                    }
                });
            });
            myDropzoneCAS.processQueue();
        } else {
            jQuery.ajax({
                type: 'POST',
                url: "index.php?option=com_osma&task=interventi.updateStato&format=raw",
                dataType: "json",
                data: $("form[name='sospendiIntervento']").serialize()
            }).done(function (data) {
                if (data.status) {
                    window.location.reload();
                }
            });
        }
    });
    $(document).on("click", '.chiudi-intervento', function (e) {
        var id = $(this).parents(".dettagli-intervento").data("idintervento");
        $("form[name='chiudiIntervento']").find("#idIntervento").val(id);
        $("form[name='chiudiIntervento']").find("#idChiamata").val($(this).parents(".dettagli-intervento").data("idchiamata"));
        $("form[name='chiudiIntervento'] .chiudi-intervento-button").addClass("disabled");
        myDropzone1.removeAllFiles(true);
        myDropzone2.removeAllFiles(true);
        myDropzoneCA.removeAllFiles(true);
    });
    $(document).on("click", ".mail-send", function () {
        return false;
    });
    $(document).on("click", "form[name='chiudiIntervento'] .chiudi-intervento-button:not(.disabled)", function () {
        $(this).addClass("disabled");

        myDropzone1.on("queuecomplete", function () {
            myDropzone2.processQueue();
        });
        myDropzone2.on("queuecomplete", function (file) {
            if (myDropzoneCA.getQueuedFiles().length) {
                myDropzoneCA.on("queuecomplete", function (file) {
                    jQuery.ajax({
                        type: 'POST',
                        url: "index.php?option=com_osma&task=interventi.updateStato&format=raw",
                        dataType: "json",
                        data: $("form[name='chiudiIntervento']").serialize()
                    }).done(function (data) {
                        if (data.status) {
                            window.location.reload();
                        }
                    });
                });
                myDropzoneCA.processQueue();
            } else {
                jQuery.ajax({
                    type: 'POST',
                    url: "index.php?option=com_osma&task=interventi.updateStato&format=raw",
                    dataType: "json",
                    data: $("form[name='chiudiIntervento']").serialize()
                }).done(function (data) {
                    if (data.status) {
                        window.location.reload();
                    }
                });
            }
        });
        myDropzone1.on("success", function (file) {
            myDropzone1.processQueue();
        });
        myDropzone2.on("success", function (file) {
            myDropzone2.processQueue();
        });
        myDropzoneCA.on("success", function (file) {
            myDropzoneCA.processQueue();
        });

        myDropzone1.processQueue();
        return false;
    });
    $(document).on("click", ".allegati-intervento-btn", function () {
        $("#allegati-intervento .modal-title").html($(this).data("title"));
        $("#allegati-intervento .modal-body").html($(this).data("html"));
        return false;
    });
    $(document).on("keyup", "#invia-comunicazione [name=comunicazione]", function () {
        if ($(this).val() && $("#invia-comunicazione .invia-comunicazione-button").hasClass("disabled")) {
            $("#invia-comunicazione .invia-comunicazione-button").removeClass("disabled");
        } else if (!$(this).val()) {
            $("#invia-comunicazione .invia-comunicazione-button").addClass("disabled");
        }
    });
    $(document).on("click", "#invia-comunicazione .invia-comunicazione-button:not(.disabled)", function () {
        $("#invia-comunicazione .invia-comunicazione-button").addClass("disabled");
        jQuery.ajax({
            type: 'POST',
            url: "index.php?option=com_osma&task=chiamate.inviaComunicazione&format=raw",
            dataType: "json",
            data: $("form[name='inviaComunicazione']").serialize()
        }).done(function (data) {
            if (data.status) {
                $('#invia-comunicazione').modal('hide');
            }
        });
        return false;
    });
    $(document).on("click", ".mail-send", function () {
        $("#invia-comunicazione .invia-comunicazione-button").addClass("disabled");
        $("#invia-comunicazione #idChiamata").val($(this).data("id"));
        $("#invia-comunicazione [name=comunicazione]").val("");
        $("#invia-comunicazione [name='to'] optgroup").remove();
        $("#invia-comunicazione [name='attachment[]']").remove();
        if (myDropzone3) {
            myDropzone3.removeAllFiles(true);
        }
        if ($(this).parent().find("[name*='teamLeader']").val()) {
            $("#invia-comunicazione  [name='to']").append("<optgroup label='Team Leader'></optgroup>");
            var string = $(this).parent().find("[name*='teamLeader']").val().split(";");
            $.each(string, function (i, val) {
                var split = val.split("-");
                $("#invia-comunicazione  [name='to'] optgroup").append("<option value='" + split[0] + "'>" + split[1] + "</option>");
            });
        }
    });
    $(document).on("keyup", "#invia-nuova-comunicazione [name=comunicazione]", function () {
        if ($(this).val() && $("#invia-nuova-comunicazione .invia-nuova-comunicazione-button").hasClass("disabled")) {
            $("#invia-nuova-comunicazione .invia-nuova-comunicazione-button").removeClass("disabled");
        } else if (!$(this).val()) {
            $("#invia-nuova-comunicazione .invia-nuova-comunicazione-button").addClass("disabled");
        }
    });
    $(document).on("click", "#invia-nuova-comunicazione .invia-nuova-comunicazione-button:not(.disabled)", function () {
        $("#invia-nuova-comunicazione .invia-nuova-comunicazione-button").addClass("disabled");
        jQuery.ajax({
            type: 'POST',
            url: "index.php?option=com_osma&task=chiamate.inviaNuovaComunicazione&format=raw",
            dataType: "json",
            data: $("form[name='inviaNuovaComunicazione']").serialize()
        }).done(function (data) {
            if (data.status) {
                $("#invia-nuova-comunicazione [name=comunicazione]").val("");
                $('#invia-nuova-comunicazione').modal('hide');
            }
        });
    });
    thisDZconfig = DZdefaultconfig;
    thisDZconfig.url = "index.php?option=com_osma&task=chiamata.aggiungiFile&format=raw";
    thisDZconfig.dictDefaultMessage = "Aggiungi allegati";
    thisDZconfig.parallelUploads = 10;
    thisDZconfig.uploadMultiple = true;
    thisDZconfig.autoProcessQueue = false;
    thisDZconfig.init = function () {
        this.on("addedfile", function () {
            $("#add-attachment .add-attachment-button").removeClass("disabled");
        });
        this.on("reset", function () {
            $("#add-attachment .add-attachment-button").addClass("disabled");
        });
        this.on("completemultiple", function () {
            $("#add-attachment").modal('hide');
        });
        this.on("sending", function (file, xhr, formData) {
            $("#add-attachment .btn").addClass("disabled");
            formData.append('idChiamata', $("#add-attachment #idChiamata").val());
        });
    };
    var myDropzone4 = new Dropzone("div#dropz-attachment", thisDZconfig);

    $(document).on("click", ".btn.add-attachment", function () {
        $("#add-attachment .add-attachment-button").addClass("disabled");
        $("#add-attachment #idChiamata").val($(this).data("id"));
        myDropzone4.removeAllFiles(true);
        $("#add-attachment").modal();
        return false;
    });
    $(document).on("click", "#add-attachment .add-attachment-button", function () {
        myDropzone4.on("success", function (file) {
            $("#add-attachment").modal("hide");
        });
        myDropzone4.processQueue();
        return false;
    });

    $(document).on("change", "[name='consuntivata']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var idChiamata = $(this).data("idchiamata");
        $.ajax({
            type: 'POST',
            url: "index.php?option=com_osma&task=chiamata.consuntivata&format=raw",
            dataType: "json",
            data: {
                idChiamata: idChiamata,
                value: ($(this).is(":checked") ? "1" : "0")
            }
        }).done(function (data) {

        });
    });

    $(document).on("click", ".export", function (e) {
        e.stopPropagation();
        e.stopImmediatePropagation();

        $(this).attr("href", "index.php?option=com_osma&task=dashboard.export&format=raw&" + $("form#search").serialize());
        return true;
    });

    $(document).on("click", ".show-libretti", function (e) {
        e.preventDefault();
        var href = $(this).data("href");
        var html = "";

        html += "<ul>";
        $.each(href, function (i, val) {
            html += "<li><a href='" + val.href + "' target='_blank'>" + val.name + "</a></li>";
        });
        html += "</ul>";
        $("#show-libretti .modal-title").html("Libretti metrologici creati nell'intervento #" + $(this).parents(".dettagli-intervento").attr("data-idIntervento"));
        $("#show-libretti .modal-body").html(html);

        $("#show-libretti").modal("show");
        return false;
    });
});