<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
// import Joomla controlleradmin library
jimport('joomla.application.component.controller');

/**
 * HelloWorlds Controller
 */
class osmaControllerInterventi extends JControllerLegacy {

    public static function response($response) {
        $document = & JFactory::getDocument();
        $document->setMimeEncoding('application/json');

        echo json_encode($response);
        exit;
    }

    public function aggiungiFile() {

        $dbo = JFactory::getDBO();
        $idIntervento = JRequest::getVar('idIntervento');
        $tipo = JRequest::getVar('tipo');

        $query = "
                SELECT  COUNT(*) as count
                FROM    #__osma_chiamata_interventi_files
                WHERE   idIntervento = {$idIntervento} AND tipoFile = {$tipo}";

        $dbo->setQuery($query);
        $count = $dbo->loadResult();
        $count++;

        $query = "
                SELECT  idChiamata
                FROM    #__osma_chiamata_interventi
                WHERE   idIntervento = {$idIntervento}";

        $dbo->setQuery($query);
        $idChiamata = $dbo->loadResult();

        if (!empty($_FILES)) {
            $part = explode(".", $_FILES['file']['name']);
            $ext = end($part);

            if (!is_dir(JPATH_COMPONENT . '/files/chiamate/' . $idChiamata)) {
                mkdir(JPATH_COMPONENT . '/files/chiamate/' . $idChiamata);
            }

            $targetFile = JPATH_COMPONENT . '/files/chiamate/' . $idChiamata . '/intervento-' . $idIntervento . '-file-' . $tipo . '-' . $count . '.' . $ext;  //4

            if (move_uploaded_file($_FILES['file']['tmp_name'], $targetFile)) {
                $file = new stdClass();
                $file->idIntervento = $idIntervento;
                $file->tipoFile = $tipo;
                $file->fileName = 'intervento-' . $idIntervento . '-file-' . $tipo . '-' . $count . '.' . $ext;
                $dbo->insertObject('#__osma_chiamata_interventi_files', $file, 'idFile');
            }
        }
    }

    public function updateStato() {
        $dbo = JFactory::getDBO();
        $user = JFactory::getUser();

        $intervento = new stdClass();
        $intervento->statoIntervento = JRequest::getVar('statoIntervento');
        $intervento->idIntervento = JRequest::getVar('idIntervento');
        $intervento->noteCambioStato = JRequest::getVar('noteCambioStato');
        $intervento->cambioStato = date("Y-m-d H:i:s");
        $intervento->rimozionePiombi = JRequest::getVar('rimozionePiombi');
        $dbo->updateObject('#__osma_chiamata_interventi', $intervento, 'idIntervento');

        $query = "SELECT i.*, c.*, d.id as idDuvri, r.idRapporto, g.nrRea, g.idGestore  "
                . "FROM #__osma_chiamata_interventi i "
                . "INNER JOIN #__osma_chiamate c ON c.idChiamata = i.idChiamata "
                . "INNER JOIN #__osma_anagrafica_gestori g ON c.idGestore = g.idGestore "
                . "LEFT OUTER JOIN #__osma_duvri d ON d.idIntervento = i.idIntervento "
                . "LEFT OUTER JOIN #__osma_duvri_rapporto r ON d.id = r.idDuvri "
                . "WHERE i.idIntervento = {$intervento->idIntervento}";
        $dbo->setQuery($query);
        $result = $dbo->loadObject();

        if ($intervento->statoIntervento == 2) {
            $query = "
                INSERT  INTO #__osma_chiamata_interventi (idChiamata, idTipoIntervento, idInviaMailA, idMezzo, note, idMezzo2, idInterventoRiferimento)
                SELECT  idChiamata, idTipoIntervento, idInviaMailA, idMezzo, note, idMezzo2, {$intervento->idIntervento}
                FROM    #__osma_chiamata_interventi
                WHERE   idIntervento = {$intervento->idIntervento}";
            $dbo->setQuery($query);
            $dbo->execute();

            $to[] = "osmasnc@osmasnc.it";
            $to[] = "osmasnc.mariotti@osmasnc.it";

            $body = "<p>Intervento <b>#{$intervento->idIntervento}</b>, relativo alla chiamata #{$result->nrChiamata}, sospeso in data " . date("d/m/Y H:i") . ".</p><br/><br/>";
            $body .= "<p><b>Motivo della sospensione:</b> {$intervento->noteCambioStato}</p>";
            $subject = "Sospensione intervento #{$intervento->idIntervento}";
        } else {
            $query = "SELECT COUNT(*) FROM #__osma_chiamata_interventi WHERE idChiamata = {$result->idChiamata} AND statoIntervento != 1";
            $dbo->setQuery($query);

            if ($dbo->loadResult() == 0) {
                $query = "UPDATE #__osma_chiamate SET stato = 4 WHERE idChiamata = {$result->idChiamata}";

                $dbo->setQuery($query);
                $dbo->execute();

                $idScadenza = $dbo->setQuery("SELECT idScadenza FROM #__osma_chiamate WHERE idChiamata = {$result->idChiamata}")->loadResult();
                if ($idScadenza) {
                    osmaHelper::aggiornaDataScadenziario($idScadenza);
                }
            }
            $to[] = "osmasnc@osmasnc.it";

            $body = "<p>Intervento <b>#{$intervento->idIntervento}</b>, relativo alla chiamata #<b>{$result->nrChiamata}</b>, chiuso in data " . date("d/m/Y H:i") . ".</p><br/><br/>";
            $subject = "Chiusura intervento #{$intervento->idIntervento}";
        }

        $query = "SELECT g.*,c.compagnia,c.fascia,cont.riferimento,cont.telefono
            FROM #__osma_anagrafica_gestori AS g
            LEFT JOIN #__osma_anagrafica_compagnie AS c ON g.idCompagnia=c.idCompagnia
            LEFT JOIN #__osma_gestori_contatti AS cont ON cont.idGestore=g.idGestore
            WHERE g.idGestore=" . $result->idGestore;
        $dbo->setQuery($query);
        $datiMail = $dbo->loadObject();

        $subject .= " // #{$result->nrChiamata} // " . $datiMail->indirizzo . " " . $datiMail->comune . " (" . $datiMail->provincia . ") // " . JFactory::getUser()->name;

        $body .= "<hr>";
        $body .= "<p><strong>Compagnia:</strong> " . $datiMail->compagnia . "</p>";
        $body .= "<p><strong>Codice Compagnia:</strong> " . $result->nrChiamataCompagnia . "</p>";
        $body .= "<p><strong>Impianto:</strong> " . $datiMail->nrPuntoVendita . "</p>";
        $body .= "<p><strong>Dati Impianto:</strong> " . $datiMail->indirizzo . " " . $datiMail->comune . " (" . $datiMail->provincia . ")</p>";
        $body .= "<p><strong>Vedi mappa:</strong><a href='https://www.google.it/maps/dir/" . $datiMail->indirizzo . " " . $datiMail->comune . " " . $datiMail->provincia . "' target='_blank'>Clicca qui</a></p>";
        $body .= "<p><strong>Gruppo:</strong> " . $datiMail->fascia . "</p>";
        $body .= "<p><strong>Gestore:</strong> " . $datiMail->riferimento . "</p>";
        $body .= "<p><strong>Telefono:</strong> " . $datiMail->telefono . "</p>";
        $body .= "<p><strong>Data/Ora Chiamata:</strong> " . date("d/m/Y H:i", strtotime(str_replace("/", "-", $result->dataApertura))) . "</p>";
        $body .= "<p><strong>Data/Ora Scadenza:</strong> " . date("d/m/Y H:i", strtotime(str_replace("/", "-", $result->dataScadenza))) . "</p>";
        $body .= "<br/><br/><p>Visualizza l'intervento a questo <a href='" . osmaHelper::router("index.php?option=com_osma&view=chiamata&idChiamata={$result->idChiamata}&idIntervento={$intervento->idIntervento}", true) . "'>link</a><br/>";


        $mailer = JFactory::getMailer();
        $mailer->setSender(array($user->email, $user->name));

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        $mailer->addRecipient($to);
        $mailer->setSubject($subject);
        $mailer->isHTML(true);
        $mailer->Encoding = 'base64';

        $query = "
            SELECT  *
            FROM    #__osma_chiamata_interventi_files
            WHERE   tipoFile = 1 AND idIntervento = " . $intervento->idIntervento . "
            ORDER   BY idFile";
        $dbo->setQuery($query);
        $files = $dbo->loadObjectList();

        if ($files) {
            foreach ($files as $file) {
                if (file_exists(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName)) {
                    $ext = pathinfo(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName, PATHINFO_EXTENSION);
                    $mailer->addAttachment(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName, JApplication::stringURLSafe("chiamata {$result->idChiamata} - intervento {$intervento->idIntervento} - DUVRI") . ".{$ext}");
                    $body .= "<br/>Allegato alla chiamata: <a href='" . JUri::root() . "components/com_osma/files/chiamate/{$result->idChiamata}/{$file->fileName}'>chiamata {$result->idChiamata} - intervento {$intervento->idIntervento} - DUVRI.{$ext}</a>";
                }
            }
        }
        $query = "
            SELECT  *
            FROM    #__osma_chiamata_interventi_files
            WHERE   tipoFile = 2 AND idIntervento = " . $intervento->idIntervento . "
            ORDER   BY idFile";

        $dbo->setQuery($query);
        $files = $dbo->loadObjectList();
        if ($files) {
            foreach ($files as $file) {
                if (file_exists(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName)) {
                    $ext = pathinfo(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName, PATHINFO_EXTENSION);
                    $mailer->addAttachment(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName, JApplication::stringURLSafe("chiamata {$result->idChiamata} - intervento {$intervento->idIntervento} - RDL") . ".{$ext}");
                    $body .= "<br/>Allegato alla chiamata: <a href='" . JUri::root() . "components/com_osma/files/chiamate/{$result->idChiamata}/{$file->fileName}'>chiamata {$result->idChiamata} - intervento {$intervento->idIntervento} - RDL.{$ext}</a>";
                }
            }
        }

        $query = "
            SELECT  *
            FROM    #__osma_xref_intervento_documenti
            WHERE   idIntervento = " . $intervento->idIntervento;

        $dbo->setQuery($query);
        $files = $dbo->loadObjectList();
        if ($files) {
            $count = 1;
            foreach ($files as $file) {
                if (file_exists(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName)) {
                    $ext = pathinfo(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName, PATHINFO_EXTENSION);
                    $mailer->addAttachment(JPATH_COMPONENT . '/files/chiamate/' . $result->idChiamata . '/' . $file->fileName, "allegato - {$count}.{$ext}");
                    $body .= "<br/>Allegato alla chiamata: <a href='" . JUri::root() . "components/com_osma/files/chiamate/{$result->idChiamata}/{$file->fileName}'>allegato - {$count}.{$ext}</a>";
                    $count++;
                }
            }
        }
        $mailer->setBody($body);

        mailerHelper::logMail($mailer, 4, $mailer->Send(), $result->idChiamata);

        if (JRequest::getVar('rimozionePiombi')) {

            $mailer = JFactory::getMailer();
            $mailer->setSender(array($user->email, $user->name));
            $to[] = "osmasnc@osmasnc.it";

            if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
                $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
            }

            $subject = "Rimozione piombi per intervento #" . JRequest::getVar('idIntervento') . " // #{$result->nrChiamata} // " . $datiMail->indirizzo . " " . $datiMail->comune . " (" . $datiMail->provincia . ") // " . JFactory::getUser()->name;

            $body = "<b>ATTENZIONE</b>: rimozione piombi per intervento #" . JRequest::getVar('idIntervento');
            $body .= "<hr>";
            $body .= "<p><strong>Compagnia:</strong> " . $datiMail->compagnia . "</p>";
            $body .= "<p><strong>Codice Compagnia:</strong> " . $result->nrChiamataCompagnia . "</p>";
            $body .= "<p><strong>Impianto:</strong> " . $datiMail->nrPuntoVendita . "</p>";
            $body .= "<p><strong>Dati Impianto:</strong> " . $datiMail->indirizzo . " " . $datiMail->comune . " (" . $datiMail->provincia . ")</p>";
            $body .= "<p><strong>Vedi mappa:</strong><a href='https://www.google.it/maps/dir/" . $datiMail->indirizzo . " " . $datiMail->comune . " " . $datiMail->provincia . "' target='_blank'>Clicca qui</a></p>";
            $body .= "<p><strong>Gruppo:</strong> " . $datiMail->fascia . "</p>";
            $body .= "<p><strong>Gestore:</strong> " . $datiMail->riferimento . "</p>";
            $body .= "<p><strong>Telefono:</strong> " . $datiMail->telefono . "</p>";
            $body .= "<p><strong>Data/Ora Chiamata:</strong> " . date("d/m/Y H:i", strtotime(str_replace("/", "-", $result->dataApertura))) . "</p>";
            $body .= "<p><strong>Data/Ora Scadenza:</strong> " . date("d/m/Y H:i", strtotime(str_replace("/", "-", $result->dataScadenza))) . "</p>";
            $body .= "<br/><br/><p>Visualizza l'intervento a questo <a href='" . osmaHelper::router("index.php?option=com_osma&view=chiamata&idChiamata={$result->idChiamata}&idIntervento={$intervento->idIntervento}", true) . "'>link</a>";

            $mailer->addRecipient($to);
            $mailer->setSubject($subject);
            $mailer->isHTML(true);
            $mailer->Encoding = 'base64';
            $mailer->setBody($body);

            mailerHelper::logMail($mailer, 5, $mailer->Send(), $result->idChiamata);
        }

        self::response(array(
            'status' => true,
            'idIntervento' => intval($intervento->idIntervento)
        ));
    }

    public function salva() {
        $db = JFactory::getDBO();
        $form = JRequest::getVar('intervento');

        $intervento = new stdClass();
        $intervento->idChiamata = $form['idChiamata'];
        $intervento->idTipoIntervento = $form['tipologia'];
        $intervento->idInviaMailA = $form['invia'];
        $intervento->idMezzo = $form['mezzo'];
        $intervento->idMezzo2 = $form['mezzo2'];
        $intervento->note = $form['note'];

        if ($form['idIntervento'] && !$form['isTemp']) {
            $intervento->idIntervento = $form['idIntervento'];
            $db->updateObject('#__osma_chiamata_interventi', $intervento, 'idIntervento');
        } else {
            $db->insertObject('#__osma_chiamata_interventi', $intervento, 'idIntervento');
            $intervento->idIntervento = $db->insertid();
        }

        $query = 'DELETE FROM #__osma_xref_intervento_utenti WHERE idIntervento=' . $intervento->idIntervento . ' AND idChiamata = ' . $intervento->idChiamata;
        $db->setQuery($query);
        $db->query();

        foreach ($form['team'] as $t) {
            $team = new stdClass();
            $team->idIntervento = $intervento->idIntervento;
            $team->idChiamata = $intervento->idChiamata;
            $team->idUser = $t;
            $db->insertObject('#__osma_xref_intervento_utenti', $team, id);
        }

        self::response(array(
            'status' => true,
            'idIntervento' => intval($intervento->idIntervento)
        ));
    }

    public function upload() {
        $db = JFactory::getDBO();
        $idIntervento = JRequest::getVar('idIntervento');
        $idChiamata = JRequest::getVar('idChiamata');

        if (!empty($_FILES) && $_FILES['file']['error'] == 0) {
            $ex = explode(".", $_FILES['file']['name']);
            $ex[0] = JFilterOutput::stringURLSafe($ex[0] . "-" . $idIntervento);
            $filename = implode(".", $ex);
            $targetPath = JPATH_COMPONENT . '/files/chiamate/' . $idChiamata . '/';
            if (!is_dir($targetPath)) {
                mkdir($targetPath);
            }
            $targetFile = $targetPath . $filename;
            if (move_uploaded_file($_FILES['file']['tmp_name'], $targetFile)) {
                $obj = new stdClass();
                $obj->idChiamata = $idChiamata;
                $obj->idIntervento = $idIntervento;
                $obj->fileName = $filename;

                $db->insertObject('#__osma_xref_intervento_documenti', $obj, id);

                self::response(array(
                    'status' => true,
                    'idFile' => intval($db->insertid()),
                    'fileName' => $filename,
                    'url' => JURI::base() . "components/com_osma/files/chiamate/" . $idChiamata . "/" . $filename
                ));
            }
        }
    }

    public function removeupload() {
        $db = JFactory::getDBO();
        $idFile = JRequest::getVar('idFile');

        if (!$idFile) {
            return;
        }

        $query = 'SELECT * FROM #__osma_xref_intervento_documenti WHERE id = ' . $idFile;
        $db->setQuery($query);
        $file = $db->loadObject();

        if (file_exists(JPATH_COMPONENT . '/files/chiamate/' . $file->idChiamata . '/' . $file->fileName)) {
            if (unlink(JPATH_COMPONENT . '/files/chiamate/' . $file->idChiamata . '/' . $file->fileName)) {
                $query = 'DELETE FROM #__osma_xref_intervento_documenti WHERE id = ' . $file->id;
                $db->setQuery($query);
                if ($db->execute()) {
                    self::response(array(
                        'status' => true
                    ));
                }
            }
        }
    }

    public function sendMail() {
        $db = JFactory::getDBO();
        $idIntervento = JRequest::getVar('idIntervento');

        $query = 'SELECT * FROM #__osma_chiamata_interventi WHERE idIntervento = ' . $idIntervento;
        $db->setQuery($query);
        $intervento = $db->loadObject();

        $query = 'SELECT * FROM #__osma_chiamate WHERE idChiamata = ' . $intervento->idChiamata;
        $db->setQuery($query);
        $chiamata = $db->loadObject();

        $mailer = JFactory::getMailer();

        $s_mail = "chiamate.osma@gmail.com";
        $s_user = "CHIAMATE";
        $sender = array(
            $s_mail,
            $s_user
        );
        $mailer->setSender($sender);

        //invia a
        $user = JFactory::getUser($intervento->idInviaMailA);
        $to = array($user->email);

        if (JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug") && JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address")) {
            $mailer->addCC(JFactory::getApplication('site')->getParams("com_osma")->get("config_mail_debug_address"));
        }

        //oggetto
        if ($chiamata->stato == 1) {
            $s = "// A //";
            $mStato = "Aperta";
        } elseif ($chiamata->stato == 2) {
            $s = "// I //";
            $mStato = "In Corso";
        } elseif ($chiamata->stato == 3) {
            $s = "// S //";
            $mStato = "Sospesa";
        } elseif ($chiamata->stato == 4) {
            $s = "// C //";
            $mStato = "Chiusa";
        }

        if ($chiamata->tipo == 1) {
            $mTipo = "Forfait";
        } elseif ($chiamata->tipo == 2) {
            $mTipo = "Extra Forfait";
        } elseif ($chiamata->tipo == 3) {
            $mTipo = "Programmate";
        } elseif ($chiamata->tipo == 4) {
            $mTipo = "Giroluci";
        } elseif ($chiamata->tipo == 5) {
            $mTipo = "Presa Visione";
        }

        if ($chiamata->canale == 1) {
            $mCanale = "Mail";
        } elseif ($chiamata->canale == 2) {
            $mCanale = "Telefono";
        } elseif ($chiamata->canale == 3) {
            $mCanale = "Portale Compagnia";
        } elseif ($chiamata->canale == 4) {
            $mCanale = "Commessa";
        }

        if ($intervento->idTipoIntervento == 1) {
            $mTipoIntervento = "Meccanico";
        } elseif ($intervento->idTipoIntervento == 2) {
            $mTipoIntervento = "Edile";
        } elseif ($intervento->idTipoIntervento == 3) {
            $mTipoIntervento = "Elettrico";
        } elseif ($intervento->idTipoIntervento == 4) {
            $mTipoIntervento = "Elettronico";
        } elseif ($intervento->idTipoIntervento == 5) {
            $mTipoIntervento = "Video Sorveglianza";
        } elseif ($intervento->idTipoIntervento == 6) {
            $mTipoIntervento = "Antintrusione";
        }

        $cliente = JRequest::getVar('cliente');
        $query = "SELECT g.*,c.compagnia,c.fascia,cont.riferimento,cont.telefono
            FROM #__osma_anagrafica_gestori AS g
            LEFT JOIN #__osma_anagrafica_compagnie AS c ON g.idCompagnia=c.idCompagnia
            LEFT JOIN #__osma_gestori_contatti AS cont ON cont.idGestore=g.idGestore
            WHERE g.idGestore=" . $chiamata->idGestore;
        $db->setQuery($query);
        $datiMail = $db->loadObject();

        $oggetto = $s . " - " . $datiMail->nrPuntoVendita . " - Chiamata " . strtoupper($mTipo) . " n. " . $chiamata->nrChiamata . " - " . $datiMail->comune;
        $link = JURI::root(true);
        $link = JURI::base() . 'index.php?option=com_osma&view=chiamata&idChiamata=' . $chiamata->idChiamata;
        $body = "";
        $body .= "<p style='text-align: right; font-size: 25px'>Chiamata: <b>{$chiamata->nrChiamata}" . ($chiamata->nrChiamataCompagnia ? " - " . $chiamata->nrChiamataCompagnia : "") . "</b></p>";
        $body .= $cliente ? "<strong>" . $cliente . "</strong><br />" : "";
        $body .= "<p>Vi informiamo che sul sistema Osma &egrave; stata assegnata una nuova chiamata " . strtoupper($mTipo) . " alla vs. ditta.</p>";
        $body .= "<hr>";
        $body .= "<p><strong>Compagnia:</strong> " . $datiMail->compagnia . "</p>";
        $body .= "<p><strong>Codice Compagnia:</strong> " . $chiamata->nrChiamataCompagnia . "</p>";
        $body .= "<p><strong>Impianto:</strong> " . $datiMail->nrPuntoVendita . "</p>";
        $body .= "<p><strong>Dati Impianto:</strong> " . $datiMail->indirizzo . " " . $datiMail->comune . " (" . $datiMail->provincia . ")</p>";
        $body .= "<p><strong>Vedi mappa:</strong><a href='https://www.google.it/maps/dir/" . $datiMail->indirizzo . " " . $datiMail->comune . " " . $datiMail->provincia . "' target='_blank'>Clicca qui</a></p>";
        $body .= "<p><strong>Gruppo:</strong> " . $datiMail->fascia . "</p>";
        $body .= "<p><strong>Gestore:</strong> " . $datiMail->riferimento . "</p>";
        $body .= "<p><strong>Telefono:</strong> " . $datiMail->telefono . "</p>";
        $body .= "<p><strong>Data/Ora Chiamata:</strong> " . date("d/m/Y H:i", strtotime(str_replace("/", "-", $chiamata->dataApertura))) . "</p>";
        $body .= "<p><strong>Data/Ora Scadenza:</strong> " . date("d/m/Y H:i", strtotime(str_replace("/", "-", $chiamata->dataScadenza))) . "</p>";
        $body .= "<p><strong>Stato:</strong> " . $mStato . "</p>";
        $body .= "<p><strong>Provenienza:</strong>" . $mCanale . "</p>";
        $body .= "<p><strong>Descrizione Generale:</strong> " . $chiamata->descrizioneGenerale . "</p>";
        $body .= "<p><strong>Intervento Richiesto:</strong> " . $mTipoIntervento . "</p>";
        if ($intervento->note && $intervento->note != "") {
            $body .= "<p><strong>Note Intervento:</strong> " . $intervento->note . "</p>";
        }
        $body .= "<br /><br />";
        $body .= "<p style='font-size: 18px'><a href='" . JRoute::_("index.php?option=com_osma&view=chiusura&idChiamata={$chiamata->idChiamata}&idIntervento={$intervento->idIntervento}", true, -1) . "'>Vai alla chiusura della chiamata: " . JRoute::_("index.php?option=com_osma&view=chiusura&idChiamata={$chiamata->idChiamata}&idIntervento={$intervento->idIntervento}", true, -1) . "</a></p>";

        $query = "
            SELECT *
            FROM #__osma_xref_intervento_documenti
            WHERE idIntervento = {$intervento->idIntervento} AND idChiamata = {$intervento->idChiamata}";

        $db->setQuery($query);
        $files = $db->loadObjectList();
        if ($files) {
            foreach ($files as $file) {
                if (file_exists(JPATH_COMPONENT . '/files/chiamate/' . $file->idChiamata . '/' . $file->fileName)) {
                    $mailer->addAttachment(JPATH_COMPONENT . '/files/chiamate/' . $file->idChiamata . '/' . $file->fileName);
                }
            }
        }

        $mailer->addRecipient($to);

        $mailer->setSubject($oggetto);
        $mailer->isHTML(true);
        $mailer->Encoding = 'base64';
        $mailer->setBody($body);

        mailerHelper::logMail($mailer, 6, $mailer->Send(), $intervento->idChiamata);
    }

}
