<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
            }

            html body {
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
            }

            .verytable td {font-size: 12px; text-align: center; border: 1px solid #000!important; padding: 5px;}
            .verytable tr {border-bottom: 1px solid #000!important; }

            p.page-braker { page-break-after: always; }
            html { margin: .75cm .75cm 4.5cm;}
            @page { padding: 0; position: relative;}

            footer {position: fixed; bottom: 0cm; left: 1.25cm; right: 1.25cm}
            footer table td {font-size: 11px; padding: 3px}
            footer table td b {font-size: 11px}
            footer .pagenum:before {content: counter(page);}
            .dati {font-size:13px;}
            .dati label {font-size:inherit;}
        </style>
    </head>
    <body>
        <footer>
            <div style="text-align: right; padding-bottom: 10px;">
                <b>Pag. <span class="pagenum"></span></b>
            </div>
            <table style='width: 100%; border-top: 1px solid #000' cellpadding='0' cellspacing='0'>
                <tr>
                    <td style="text-align: center;font-size: 10px;">
                        <b style='font-size: 10px;'>E2OIL Srl</b><br/>
                        <b style='font-size: 10px;'>Sede legale</b> Zona Industriale nr. 8 – Nonio (VB) - 28891<br/>
                        <b style='font-size: 10px;'>Sede operativa laboratorio metrologico</b> Via Maestri del Lavoro 20/22 – Bovisio Masciago (MB) - 28813<br/>
                        <b style='font-size: 10px;'>Sede operativa sicurezza</b> Via Amatore Sciesa nr. 17/19 – Tradate (VA) - 21049<br/>
                        <b style='font-size: 10px;'>E-mail</b> amministrazione@e2oil.it <b style='font-size: 10px;'>PEC</b> e2oilsrl@pec.it<br/>
                        <b style='font-size: 10px;'>Tel</b> 0323/889158 <b style='font-size: 10px;'>Fax</b> 0323/889822<br/>
                        <b style='font-size: 10px;'>P.IVA & C.F.</b> 02545820033 <b style='font-size: 10px;'>Nr. Rea Sede Legale</b> VB - 205785
                    </td>
                </tr>
            </table>
        </footer>
        <table>
            <tr>
                <td style="width: 50%">
                    <img src="<?php echo JPATH_COMPONENT ?>/controllers/assets/img/logo_e2oil.jpg" style="max-height: 85px;"/>
                </td>
                <td style="width: 50%; text-align: right; font-size: 12px; vertical-align: middle;">
                    Allegato P4A-0
                </td>
            </tr>
        </table>
        <hr style="height: 20px"/>
        <h1 style="font-size: 16px; text-align: center; font-weight: bold;">Richiesta di verifica metrica periodica</h1>
        <h2 style="font-size: 15px; text-align: center; font-weight: normal;">(Il modello va completato in tutte le sue parti in stampatello e con caratteri chiari e leggibili)</h2>
        <table style="margin-top: 20px;">
            <tr>
                <td style="width: 50%; padding: 0; vertical-align: top;">
                    <h4 style="color: red; font-size: 14px; font-weight: bold; border-bottom: 2px solid #000; margin-top: 0; padding-bottom: 5px; margin-bottom: 5px;">Dati per intestazione fattura:</h4>
                    <div class="dati"><label>Denominazione:</label> <?php echo $richiesta->intestazione['denominazione'] ?></div>
                    <div class="dati"><label>Indirizzo:</label> <?php echo $richiesta->intestazione['indirizzo'] ?></div>
                    <div class="dati"><label>Città:</label> <?php echo $richiesta->intestazione['comune'] ?></div>
                    <div class="dati"><label>Cod. Fiscale / P. IVA:</label> <?php echo $richiesta->intestazione['piva'] ?></div>
                    <div class="dati"><label>N° Telefono:</label> <?php echo $richiesta->intestazione['telefono'] ?></div>
                    <div class="dati"><label>N° Fax:</label> <?php echo $richiesta->intestazione['fax'] ?></div>
                </td>
                <td style="width: 50%; padding: 0; vertical-align: top;">
                    <h4 style="color: red; font-size: 14px; font-weight: bold; border-bottom: 2px solid #000; margin-top: 0; padding-bottom: 5px; margin-bottom: 5px;">Dati Utente Metrico:</h4>
                    <div class="dati"><label>Denominazione:</label> <?php echo $richiesta->utenteMetrico['denominazione'] ?></div>
                    <div class="dati"><label>Indirizzo:</label> <?php echo $richiesta->utenteMetrico['indirizzo'] ?></div>
                    <div class="dati"><label>Città:</label> <?php echo $richiesta->utenteMetrico['comune'] ?></div>
                    <div class="dati"><label>Colore compagnia:</label> <?php echo $richiesta->utenteMetrico['coloreCompagnia'] ?></div>
                    <div class="dati"><label>Cod. Fiscale / P. IVA:</label> <?php echo $richiesta->utenteMetrico['piva'] ?></div>
                    <div class="dati"><label>N° Rea:</label> <?php echo $richiesta->utenteMetrico['nrRea'] ?></div>
                    <div class="dati"><label>N° Telefono:</label> <?php echo $richiesta->utenteMetrico['telefono'] ?></div>
                    <div class="dati"><label>N° Fax:</label> <?php echo $richiesta->utenteMetrico['fax'] ?></div>
                    <div class="dati"><label>E-mail:</label> <?php echo $richiesta->utenteMetrico['email'] ?></div>
                </td>
            </tr>
        </table>
        <hr style="height: 20px"/>
        <h1 style="font-size: 16px; text-align: center; font-weight: normal;">Richiede alla verifica periodica i seguenti strumenti</h1>
        <table style="margin-top: 15px; font-size: 13px;" class="verytable" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 5.5%; border-width: 0; border-bottom-width: 1px;"></td>
                <td style="width: 13.5%; font-weight: bold; ">Apparec.</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Matricola</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Marca</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Modello</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Scadenza periodica</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">MID O NAZIONALE</td>
                <td style="width: 13.5%; font-weight: bold;  border-left: 0;">Portata Max (litri/min)</td>
            </tr>
            <?php
            if ($pistole) {
                $count = 1;
                ?>
                <?php foreach ($pistole as $pistola) { ?>
                    <tr>
                        <td style=""><?php echo $count++ ?></td>
                        <td style=" border-left: 0;"><?php echo $pistola->tipologia ?></td>
                        <td style=" border-left: 0;"><?php echo $pistola->matricolaPistola ?></td>
                        <td style=" border-left: 0;"><?php echo $pistola->marca ?></td>
                        <td style=" border-left: 0;"><?php echo $pistola->modello ?></td>
                        <td style=" border-left: 0;"><?php echo date("d/m/Y", strtotime($pistola->scadenzaPeriodica)) ?></td>
                        <td style=" border-left: 0;"><?php echo $pistola->normativa ?></td>
                        <td style=" border-left: 0;"><?php echo $pistola->portata ?></td>
                    </tr>
                <?php } ?>
            <?php } ?>
        </table>

        <div style="padding-top: 30px; font-weight: bold; text-decoration: underline;">
            N.B.: Con la presente l'Utente Metrico, autocertifica che le richieste metriche per la rimozione dei sigilli metrici in seguito a riparazione, sono state tutte inoltrate agli enti di competenza, pertanto il Laboratorio può procedere con l'attività di verificazione.
        </div>

        <table style='margin-top: 50px'>
            <tr>
                <td style='width: 50%'>
                    Data: <?php echo date("d/m/Y", strtotime($richiesta->dataCompilazione)) ?>
                </td>
                <td style='width: 50%; text-align: right'>
                    Firma e timbro di convalida<br><br>
                    ___________________________
                </td>
            </tr>
        </table>

        <p class='page-braker'></p>

        <div style="">
            <b>Note per il Cliente:</b><br/><br/>
            L'invio del modulo riportato in pagina 1, <b><u>non significa che il Laboratorio ha preso in carico la Verifica delle apparecchiature da Voi elencate</u></b>.<br/>
            La E2OIL, vi ritrasmetterà il modulo compilato nella parte a Lei riservata, specificando l'accettazione e la data di esecuzione della verifica o in caso contrario, la respinta della richiesta giustificandola con delle valide motivazioni.<br/>
            È necessario che venga specificato almeno uno dei recapiti (E-Mail o Fax), per poter ricevere nostre comunicazioni.<br/><br/>
            Fax: ______________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;E-Mail: <?php echo $richiesta->utenteMetrico['email'] ?><br/><br/><br/><br/>
            L'Utente Metrico, inviando la richiesta al Laboratorio, garantisce la presenza di tutta la documentazione necessaria per svolgere l'attività di verificazione.<br/><br/><br/>
            <div style='width: 25%; text-align: center; float: left; border-bottom: 1px solid #000;'>
                Per presa visione<br/>
                (L'Utente Metrico)<br/>
                <span style='font-size: 65%;'>Timbro e Firma</span><br/><br/><br/>
            </div>
        </div>

        <div class='clearfix'></div>

        <table style='margin-top: 80px; border: 1px solid #000; border-left: 1px solid #000; border-bottom: 1px solid #000; width: 100%' cellpadding="0" cellspacing="0">
            <tr>
                <td colspan='2' style='text-align: center; font-size: 12px; padding: 3px;'>
                    <b>Spazio riservato alla E2OIL</b><br/><br/>
                </td>
            </tr>
            <tr>
                <td rowspan="2" style='padding: 10px; vertical-align: middle; width: 35%'>
                    La richiesta di Verifica è stata:
                </td>
                <td style='padding: 10px; border-bottom: 1px solid #000'>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td style=''><table cellpadding='0' cellspacing='0' style='border: 1px solid #000; width: 100%'><tr><td style='text-align: center'><?php echo ($richiesta->richiestaVerifica ? "X" : "&nbsp;") ?></td></tr></table></td>
                            <td style='width: 25%; padding-left: 10px;'><b>ACCETTATA</b></td>
                            <td style='width: 70%'>La verifica si effettuerà in data: <?php echo (strtotime($richiesta->dataVerifica) > 0 ? date("d/m/Y", strtotime($richiesta->dataVerifica)) : null) ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td style='padding: 10px'>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td style=''><table cellpadding='0' cellspacing='0' style='border: 1px solid #000; width: 100%'><tr><td style='text-align: center'><?php echo (!$richiesta->richiestaVerifica ? "X" : "&nbsp;") ?></td></tr></table></td>
                            <td style='width: 25%; padding-left: 10px;'><b>RIFIUTATA</b></td>
                            <td style='width: 70%'>Motivazione: <?php echo $richiesta->motivazione ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td style='padding: 10px'>
                    <b>NR. PROG. PROT.:</b> <?php echo $richiesta->progressivo ?>/<?php echo date("m", strtotime($richiesta->dataCompilazione)) ?>/<?php echo date("Y", strtotime($richiesta->dataCompilazione)) ?><br/>
                    <span style='font-weight: bold; font-size: 12px'>(da riportare su allegato P4MID)</span>
                </td>
                <td style='vertical-align: top;'>
                </td>
            </tr>
        </tr>
    </table>

</body>
</html>