<?php

$tipoInt = array(1 => "Forfait", 2 => "Ex. Forfait", 3 => "Programmato", 4 => "Giroluci");

$dataAperturaC = date("d/m/Y", strtotime($info->dataApertura));
$dataAperturaI = date("d/m/Y", strtotime($rapporto->dataIntervento));
$rifNrChiamata = $info->nrChiamata . ($info->nrChiamataCompagnia ? " - " . $info->nrChiamataCompagnia : "");
$tipoInt = $tipoInt[$rapporto->tipoIntervento];
list($oraI, $minI) = explode(":", $rapporto->oraI);
list($oraF, $minF) = explode(":", $rapporto->oraF);
$oraI = str_pad($oraI, 2, 0, STR_PAD_LEFT) . ":" . str_pad($minI, 2, 0, STR_PAD_LEFT);
$oraF = str_pad($oraF, 2, 0, STR_PAD_LEFT) . ":" . str_pad($minF, 2, 0, STR_PAD_LEFT);


if ($team) {
    foreach ($team as $name) {
        $teama[] = $name->name;
    }
}
$teama = implode(", ", $teama);

$howManyDIS = 0;
$countPOS = 0;
$countPRE = 0;

if (count($rapporto->distributori)) {
    $howManyDIS = ceil(count($rapporto->distributori) / 15);
}
if ($rapporto->pagamenti) {
    foreach ($rapporto->pagamenti as $dis) {
        if ($dis->postPagamento) {
            $countPOS++;
        } else {
            $countPRE++;
        }
    }
}
if ($countPRE) {
    $howManyPRE = ceil($countPRE / 4);
}
if ($countPOS) {
    $howManyPOS = ceil($countPOS / 4);
}

$howManyPG = max(array($howManyDIS, $howManyPRE, $howManyPOS));
$howManyPG = ($howManyPG ? $howManyPG : 1);

$table1 = array();
$table2 = array();
$table3 = array();

if ($rapporto->distributori) {
    $dCount = 0;
    foreach ($rapporto->distributori as $dis) {
        if ($matricole) {
            foreach ($matricole as $mat) {
                if ($mat->idPistola == $dis->idMatricola) {
                    break;
                }
            }
        }
        $table1[floor($dCount / 15)][] .= '
            <tr class="row">
                <td class="" style="width: 4.5%; height: 22px;">' . $mat->siglaRapportinoPD . '</td>
                <td class="bd-left ">' . $mat->siglaRapportinoMC . '</td>
                <td class="bd-left ">' . $mat->modello . '</td>
                <td class="bd-left ">' . $mat->matricolaPistola . '</td>
                <td class="bd-left ">' . $dis->letturePrima . '</td>
                <td class="bd-left ">' . $dis->lettureDopo . '</td>
                <td class="bd-left ">' . ($dis->lettureDopo - $dis->letturePrima) . '</td>
                <td class="bd-left center">' . ($dis->piombi ? "SI" : "NO") . '</td>
                <td class="bd-left center">' . ($dis->taratura ? "SI" : "NO") . '</td>
                <td class="bd-left center">' . $dis->scostamento . '</td>
                <td class="bd-left " style="width: 19.75%">' . ($mat->matricolaRV ? $mat->matricolaRV : "&nbsp;") . '</td>
                <td class="bd-left " style="width: 3.75%">' . ($mat->matricolaRV ? $dis->v : "&nbsp;") . '</td>
                <td class="bd-left " style="width: 3.5%">' . ($mat->matricolaRV ? $dis->l : "&nbsp;") . '</td>
                <td class="bd-left " style="width: 3.75%">' . ($mat->matricolaRV ? round($dis->v / $dis->l, 4) : "&nbsp;") . '</td>
            </tr>';
        $dCount++;
    }
}
for ($x = 0; $x < $howManyPG; $x++) {
    for ($i = count($table1[$x]); $i < 15; $i++) {
        $table1[$x][] = '
            <tr class="row">
                <td class="" style="height: 22px;"></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
            </tr>';
    }
}

if ($rapporto->pagamenti) {
    $dCount = 0;
    foreach ($rapporto->pagamenti as $dis) {
        if ($dis->postPagamento) {
            continue;
        }
        if ($matricoleCC) {
            foreach ($matricoleCC as $mat) {
                if ($mat->idMatricola == $dis->idMatricola) {
                    break;
                }
            }
        }
        $table2[floor($dCount / 4)][] .= '
            <tr class="row">
                <td class="">' . $mat->modello . '</td>
                <td class="bd-left ">' . $mat->marca . '</td>
                <td class="bd-left ">' . $mat->nrMatricola . '</td>
                <td class="bd-left center">' . ($dis->piombi == 1 ? "SI" : "NO") . '</td>
            </tr>';
        $dCount++;
    }
}
for ($x = 0; $x < $howManyPG; $x++) {
    for ($i = count($table2[$x]); $i < 3; $i++) {
        $table2[$x][] = '
            <tr class="row">
                <td class=""></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left center"></td>
            </tr>';
    }
}

if ($rapporto->pagamenti) {
    $dCount = 0;
    foreach ($rapporto->pagamenti as $dis) {
        if (!$dis->postPagamento) {
            continue;
        }
        if ($matricoleSS) {
            foreach ($matricoleSS as $mat) {
                if ($mat->idMatricola == $dis->idMatricola) {
                    break;
                }
            }
        }
        $table3[floor($dCount / 4)][] .= '
            <tr class="row">
                <td class="">' . $mat->modello . '</td>
                <td class="bd-left ">' . $mat->marca . '</td>
                <td class="bd-left ">' . $mat->nrMatricola . '</td>
                <td class="bd-left center">' . ($dis->piombi == 1 ? "SI" : "NO") . '</td>
            </tr>';
        $dCount++;
    }
}

for ($x = 0; $x < $howManyPG; $x++) {
    for ($i = count($table3[$x]); $i < 3; $i++) {
        $table3[$x][] = '
            <tr class="row">
                <td class=""></td>
                <td class="bd-left "></td>
                <td class="bd-left "></td>
                <td class="bd-left center"></td>
            </tr>';
    }
}

$arrayFirme = array($rapporto->firma1, $rapporto->firma2, $rapporto->firma3);
$arrayNF = array();

foreach ($arrayFirme as $firma) {
    $base64 = explode(',', $firma);
    $base64d = base64_decode($base64[1]);
    $im = imagecreatefromstring($base64d);
    imagealphablending($im, false);
    imagesavealpha($im, true);
    $ud = uniqid();
    if ($im !== false) {
        imagepng($im, "$ud.png");
        imagedestroy($im);

        $arrayNF[] = "$ud.png";
    }
}

for ($i = 0; $i < $howManyPG; $i++) {
    $pdf->AddPage();

    $pdf->SetFont('helvetica', 'B', 7, '', 'default', true);
    $pdf->setXY(4.5, 53);
    $pdf->StartTransform();
    $pdf->Rotate(90);
    $pdf->Cell(10, 10, 'PROD.', 0, 0, 'L', 0, '');
    $pdf->StopTransform();
    $pdf->setXY(13.5, 54);
    $pdf->StartTransform();
    $pdf->Rotate(90);
    $pdf->Cell(10, 10, 'MARCA', 0, 0, 'L', 0, '');
    $pdf->StopTransform();
    $pdf->setXY(27, 55.5);
    $pdf->StartTransform();
    $pdf->Rotate(90);
    $pdf->Cell(10, 10, 'MODELLO', 0, 0, 'L', 0, '');
    $pdf->StopTransform();
    $pdf->setXY(135.5, 55.5);
    $pdf->SetFont('helvetica', '', 6, '', 'default', true);
    $pdf->StartTransform();
    $pdf->Rotate(90);
    $pdf->Cell(10, 10, 'Scost. x1000', 0, 0, 'L', 0, '');
    $pdf->StopTransform();
    $pdf->SetFont('helvetica', 'B', 7, '', 'default', true);
    $pdf->setXY(175, 41);
    $pdf->Cell(10, 10, 'R.V.', 0, 0, 'L', 0, '');
    $pdf->setXY(155, 48);
    $pdf->Cell(10, 10, 'MATR. POMPA', 0, 0, 'L', 0, '');
    $pdf->setXY(186, 48);
    $pdf->Cell(10, 10, 'V', 0, 0, 'L', 0, '');
    $pdf->setXY(193, 48);
    $pdf->Cell(10, 10, 'L', 0, 0, 'L', 0, '');
    $pdf->setXY(200, 48);
    $pdf->Cell(10, 10, 'V/L', 0, 0, 'L', 0, '');
    $pdf->SetFont('helvetica', '', 10);

    if ($info->idLogo == 1) {
        $logo = "components/com_osma/controllers/assets/img/logo_osma.jpg";
        $height = 65;
        $top = 4;
    } elseif ($info->idLogo == 2) {
        $logo = "components/com_osma/controllers/assets/img/logo_e2oil.jpg";
        $height = 65;
        $top = 4;
    }

    $html = self::minifyhtml('
        ' . $mainStyle . '
        <table style="width: 100%;">
            <tr><td class="center"><h1>REGISTRO DI MANUTENZIONE</h1></td></tr>
        </table>
        <table style="width: 100%;"><tr><td class="center"></td></tr></table>
        <table style="height: 1000px; width: 100%; font-size: 8px;" class="bd-lg" cellspacing="0" cellpadding="0">
            <tr>
                <td style="border-bottom: 1px solid #000000;">
                    <table cellpadding="4" class="bd-bottom">
                        <tr>
                            <td style="padding: 5px; text-align: center" width="35%"><img src="' . $logo . '" style="padding-top: ' . $top . 'px; height: ' . $height . 'px;"/></td>
                            <td class="bd-left bd-right" width="30%"><p><b>Bandiera:</b> <span class="pre-compiled">' . $gestore->NCompagnia . ' - ' . $gestore->nrPuntoVendita . '</span></p>
                                <p><b>Gestore:</b> <span class="pre-compiled">' . $gestore->ragioneSociale . '</span></p>
                                <p><b>Località P.V.:</b> <span class="pre-compiled">' . $gestore->comune . '  (' . $gestore->provincia . ')</span></p>
                                <p><b>Indirizzo:</b> <span class="pre-compiled">' . $gestore->indirizzo . '</span></p>
                            </td>
                            <td class="bd-left" width="35%">
                                <table cellpadding="2" cellspacing="0">
                                    <tr>
                                        <td class="center"><b>DATA CHIAMATA</b></td>
                                        <td class="center bd-left bd-right"><b>RIF. NR. CHIAMATA</b></td>
                                        <td class="center"><b>TIPO INTERVENTO</b></td>
                                    </tr>
                                    <tr class="">
                                        <td class="center">' . $dataAperturaC . '</td>
                                        <td class="center bd-left bd-right">' . $rifNrChiamata . '</td>
                                        <td class="center">' . $tipoInt . '</td>
                                    </tr>
                                    <tr>
                                        <td class="center bd-top"><b>DATA INTERVENTO</b></td>
                                        <td class="center bd-top bd-left bd-right"><b>ORA INIZIO</b></td>
                                        <td class="center bd-top"><b>ORA FINE</b></td>
                                    </tr>
                                    <tr class="">
                                        <td class="center">' . $dataAperturaI . '</td>
                                        <td class="center bd-left bd-right">' . date("H:i", strtotime($oraI)) . '</td>
                                        <td class="center">' . date("H:i", strtotime($oraF)) . '</td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" class="bd-top"><b>OPERATORI:</b> ' . $teama . '</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr class="">
                <td class="bd-bottom">
                    <table cellpadding="0">
                        <tr>
                            <td width="70%">
                                <table cellpadding="2" class="bd-right" cellspacing="0" width="100%">
                                    <thead style="height: 100px">
                                        <tr>
                                            <td class="center bd-bottom bd-right" colspan="14">INTERVENTI SU DISTRIBUTORE</td>
                                        </tr>
                                        <tr class="">
                                            <td class="bd-bottom th" rowspan="2" style="width: 4.5%"></td>
                                            <td class="bd-left bd-bottom th" rowspan="2" style="width: 4.5%"></td>
                                            <td class="bd-left bd-bottom th" rowspan="2" style="width: 9%"></td>
                                            <td class="bd-left bd-bottom th" rowspan="2" style="width: 17%">
                                                <br/><br/><br/>MATRICOLA DISTRIBUTORE
                                            </td>
                                            <td class="bd-left bd-bottom th" colspan="3" style="width: 18%">LETTURA DISTRIBUTORE</td>
                                            <td class="bd-left bd-bottom th" rowspan="2" style="width: 6.5%"><br/><br/>Piombi rimossi</td>
                                            <td class="bd-left bd-bottom th" rowspan="2" style="width: 6.5%"><br/><br/>Taratura misuratori</td>
                                            <td class="bd-left bd-bottom th" rowspan="2" style="width: 3%"></td>
                                            <td class="bd-left bd-bottom th" colspan="4" rowspan="2" style="width: 31%">
                                                <table>
                                                    <tr>
                                                        <td class="bd-bottom" style="height: 23px;" colspan=4></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="width: 64%; height: 23px;"><b></b></td>
                                                        <td style="width: 12%" class="bd-left"><b></b></td>
                                                        <td style="width: 12%" class="bd-left"><b></b></td>
                                                        <td style="width: 12%" class="bd-left"><b></b></td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                        <tr class="">
                                            <td class="bd-left bd-bottom th" style="">Prima</td>
                                            <td class="bd-left bd-bottom th" style="">Dopo</td>
                                            <td class="bd-left bd-bottom th" style="">Scatti a vuoto</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        ' . implode("", $table1[$i]) . '
                                    </tbody>
                                </table>
                            </td>
                            <td width="30%" class="bd-left">
                                <table cellpadding="2" class="" cellspacing="0">
                                    <tr class="">
                                        <td class="center bd-bottom" colspan="4"><b>COMPUTER GESTIONALI</b></td>
                                    </tr>
                                    <tr>
                                        <td class=" bd-bottom"><b>MOD.</b></td>
                                        <td class=" bd-bottom bd-left"><b>MARCA</b></td>
                                        <td class=" bd-bottom bd-left"><b>MATRICOLA</b></td>
                                        <td class="center bd-left bd-bottom"><b>PIOMBI RIMOSSI</b></td>
                                    </tr>
                                    ' . implode("", $table2[$i]) . '
                                    <tr>
                                        <td class="center bd-top bd-bottom" colspan="4"><b>SELF SERVICE</b></td>
                                    </tr>
                                    <tr>
                                        <td class=" bd-bottom"><b>MOD.</b></td>
                                        <td class=" bd-bottom bd-left"><b>MARCA</b></td>
                                        <td class=" bd-bottom bd-left"><b>MATRICOLA</b></td>
                                        <td class="center bd-left bd-bottom"><b>PIOMBI RIMOSSI</b></td>
                                    </tr>
                                    ' . implode("", $table3[$i]) . '
                                    <tr>
                                        <td class="bd-top" colspan="4" height="75">MATERIALE IMPIEGATO<br>' . $rapporto->materialeImpiegato . '</td>
                                    </tr>                     
                                    <tr>
                                        <td class="bd-top" colspan="4">CONSEGNA: Il Gestore dichiara che i lavori sopra elencati sono stati eseguiti come descritto dall\'Appaltatore.<br><b>' . ($rapporto->dichiarazione1 ? "SI" : "NO") . '</b>
                                            <br><br>
                                            <img src="' . $arrayNF[2] . '">
                                        </td>    
                                    </tr>                     
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr class="bd-bottom">
                <td>
                    <table cellpadding="4">
                        <tr>
                            <td width="50%" rowspan="2"><b>DESCRIZIONE:</b> ' . $rapporto->descrizione . '</td>
                            <td width="25%" rowspan="2" class="bd-left"><p>Il gestore dichiara di aver ricevuto il modulo di richiesta metrica da consegnare all\'ufficio metrico di competenza entro i termini previsti dal regolamento vigente.</p>
                                <br><br>
                                <img src="' . $arrayNF[0] . '">
                            </td>
                            <td width="25%" class="bd-left">DICHIARAZIONE: L\'Appaltatore dichiara che i lavori sono stati eseguiti nel più ampio rispetto delle procedure e a perfetta regola d\'arte.
                                <br><br>
                                <img src="' . $arrayNF[1] . '">
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>');

    $pdf->writeHTMLCell(0, 0, 5, 5, $html, 0, 2, false, true, "", true);
}