<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=matricole'); ?>" method="post" id="adminForm" class="form-validate matricoleForm" name="matricoleForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title">Anagrafica matricole</h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Nr. Matricola</th>
                            <th>Marca</th>
                            <th>Tipologia</th>
                            <th>Modello</th>
                            <th>Normativa</th>
                            <th>Note</th>
                            <th class="left">Gestore</th>
                            <th class="center">Elenco Pistole</th>
                            <th class="center">Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="10" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if (!empty($this->matricole)) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->matricole as $i => $matricola) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $matricola->idMatricola); ?>
                                <tr>
                                    <td align="center"><?php echo $checked; ?></td>
                                    <td><?php echo $matricola->nrMatricola; ?></td>
                                    <td><?php echo $matricola->marca; ?></td>
                                    <td><?php echo $matricola->tipologia; ?></td>
                                    <td><?php echo $matricola->modello; ?></td>
                                    <td><?php echo $matricola->normativa; ?></td>
                                    <td><?php echo $matricola->note; ?></td>
                                    <td>
                                        <?php if ($matricola->associata) { ?>
                                            <a href="javascript:void(0);" data-toggle="modal" data-target="#viewGestore" data-idGestore="<?php echo $matricola->idGestore; ?>" class="gestore-btn"><?php echo $matricola->gestoreAssoc; ?></a>
                                        <?php } ?>
                                    </td>
                                    <td class="center">
                                        <?php if ($matricola->idTipologia == 5) { //SE E' EROGATORE   ?>
                                            <button data-toggle="modal" data-target="#viewPistole" data-idMatricola="<?php echo $matricola->idMatricola; ?>" class="btn btn-default btn-sm pistole-btn"><span class="glyphicon glyphicon-list"></span></button>
                                        <?php } else { ?>
                                            NA
                                        <?php } ?>
                                    </td>
                                    <td class="center">
                                        <?php if ($matricola->published) { ?>
                                            <span class="glyphicon glyphicon-ok-circle green"></span>
                                        <?php } else { ?>
                                            <span class="glyphicon glyphicon-ban-circle orange"></span>
                                        <?php } ?>
                                    </td>
                                </tr>
                            <?php } //end foreach   ?>
                            <? }else{ ?>
                        <td colspan="10">Nessuna matricola inserita.</td>
                    <?php } //end if empty  ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addMatricola" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati Matricola</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade bs-example-modal-lg" id="viewPistole" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Pistole</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade bs-example-modal-lg" id="viewGestore" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Gestore</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>

<form id="ass" class="addassociazione">
    <div class="modal fade bs-example-modal-lg" id="associa" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel">Associa Matricole a gestore</h4>
                </div>
                <div class="modal-body">
                    <div class="clearfix">
                        <select name="idGestore" data-placeholder="Seleziona gestore" class="chosen-select gestore-select" tabindex="17" style="width:100%;" placeholder="Seleziona Gestore">
                            <option></option>
                            <?php
                            foreach ($this->gestori as $gestore) {
                                if ($gestore->nrPuntoVendita) {
                                    ?>
                                    <option value="<?php echo $gestore->idGestore; ?>"><?php echo $gestore->ragioneSociale; ?>, <?php echo $gestore->comune; ?> - <?php echo $gestore->nrPuntoVendita; ?></option>
                                <?php } ?>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                    <button type="button" class="btn btn-primary salvaassociabtn">Salva</button>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" id="ids" name="ids" />
</form>
<script type="text/javascript">
    jQuery(document).ready(function () {
        jQuery(".gestore-select").chosen({
            width: '100%',
            no_results_text: "Nessun risultato",
            placeholder_text_single: "Seleziona il punto vendita"
        });
        jQuery('[data-toggle="tooltip"]').tooltip();
    });
//nuovo
    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();

        var idMatricola = jQuery(this).attr('data-idMatricola');
        jQuery('#addMatricola').find(".modal-body").load('index.php?option=com_osma&task=matricole.addmatricoleform&format=raw&id=' + idMatricola);
        jQuery('#addMatricola').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
        jQuery('#addMatricola').modal();

        return false;
    });

//Modifica
    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idMatricola = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idMatricola = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked === true) {
            jQuery('#addMatricola').find(".modal-body").load('index.php?option=com_osma&task=matricole.addmatricoleform&format=raw&id=' + idMatricola);
            jQuery('#addMatricola').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
            jQuery('#addMatricola').modal();
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Pubblica
    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=matricole.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 8
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Sospendi
    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=matricole.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 8
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Rimuovi
    jQuery(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=matricole.rimuovi&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 8
                    }
                }).done(function (result) {
                    jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
                        if (jQuery(value).attr("checked")) {
                            el = jQuery(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//visualizza contatti
    jQuery(document).on('click', '.pistole-btn', function (event) {
        event.preventDefault();
        event.stopImmediatePropagation();
        event.stopPropagation();

        var idMatricola = jQuery(this).attr('data-idMatricola');
        jQuery('#viewPistole').find(".modal-body").load('index.php?option=com_osma&task=matricole.viewPistole&format=raw&id=' + idMatricola);
        jQuery('#viewPistole').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        jQuery('#viewPistole').modal();

        return false;
    });
    jQuery(document).on('click', '.gestore-btn', function (event) {
        event.preventDefault();
        event.stopImmediatePropagation();
        event.stopPropagation();

        var idGestore = jQuery(this).attr('data-idGestore');
        jQuery('#viewGestore').find(".modal-body").load('index.php?option=com_osma&task=gestori.addgestoriform&format=raw&id=' + idGestore);
        jQuery('#viewGestore').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        jQuery('#viewGestore').modal();

        return false;
    });

//salvataggio dati matricola
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;
        //controllo errori form
        /*jQuery('input[type="text"].obb').each(function(index, el) {
         if(!jQuery(this).val()){
         jQuery(this).parent().addClass("has-error");
         jQuery(this).parent().find('span').removeClass("hidden");
         }else{
         jQuery(this).parent().removeClass("has-error");
         jQuery(this).parent().addClass("has-success");
         jQuery(this).parent().find('span').addClass("hidden");
         }
         });*/
        var ragioneSociale = jQuery('.ragionesociale').val();

        if (ragioneSociale == "") {
            jQuery('.ragionesociale').parent().addClass("has-error");
            jQuery('.ragionesociale').parent().find('span').removeClass("hidden");
            inviaForm = 0;
        } else {
            jQuery('.ragionesociale').parent().removeClass("has-error");
            jQuery('.ragionesociale').parent().addClass("has-success");
            jQuery('.ragionesociale').parent().find('span').addClass("hidden");
            inviaForm = 1
        }

        if (inviaForm == 1) {
            var addmatricolaformfield = jQuery('#add').serialize();

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=matricole.salva&format=raw&tmpl=component',
                data: addmatricolaformfield,
                dataType: 'html'
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addMatricola').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                } else {
                    jQuery('#addMatricola').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                }
            });
        }

        return false;
    });

//aggiunta nuovo contatto
    jQuery(document).on('click', '.nuovoContatto', function (event) {
        event.preventDefault();

        el = jQuery(this);
        var count = el.attr('data-rowcount');
        count = parseFloat(count) + 1;

        var html = '';
        html += '<div class="panel panel-warning">';
        html += '<div class="panel-body">';
        html += '<div class="row">';
        html += '<div class="form-group col-md-10">';
        html += '<input type="text" class="riferimento form-control" name="contatti[' + count + '][riferimento]" id="riferimento' + count + '" placeholder="Riferimento" value=""/>';
        html += '</div>';
        html += '<div class="form-group col-md-2">';
        html += '<button class="btn btn-danger btn-sm remove-btn pull-right"><span class="glyphicon glyphicon-remove"></span></button>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<input type="text" class="email form-control" name="contatti[' + count + '>][email]" id="email' + count + '" placeholder="Email" value=""/>';
        html += '</div>';
        html += '<div class="form-group col-md-6">';
        html += '<input type="text" class="telefono form-control" name="contatti[' + count + '][telefono]" id="telefono' + count + '" placeholder="Telefono" value=""/>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</div>';

        jQuery('.contatti-group').append(html);
        el.attr('data-rowcount', count);
    });
//aggiunta nuovo contatto
    jQuery(document).on('click', '.remove-btn', function (event) {
        event.preventDefault();
        el = jQuery(this).parent().parent().parent().parent().remove();
    });
//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }

//Associa
    jQuery(document).on('click', '.associa', function (event) {
        event.preventDefault();
        var checked = false;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
                checked = true;
            }
        });
        if (checked == true) {
            jQuery('#ids').val(ids);
            jQuery('#associa').modal();
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//salvataggio associazione matricole a gestore
    jQuery(document).on('click', '.salvaassociabtn', function (event) {
        event.preventDefault();

        var addassociazioneformfield = jQuery('#ass').serialize();

        jQuery.ajax({
            type: 'POST',
            url: 'index.php?option=com_osma&task=matricole.associa&format=raw&tmpl=component',
            data: addassociazioneformfield,
            dataType: 'html'
        }).done(function (data) {
            if (data == 'error') {
                jQuery('#associa').modal('toggle');
                var msg = {
                    error: ['Errore nella associazione dei dati.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            } else {
                jQuery('#associa').modal('toggle');
                var msg = {
                    success: ['Associazione avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            }
        });

        return false;
    });

//Dissocia matricola da gestore
    jQuery(document).on('click', '.dissocia', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler dissociare dal gestore le matricole selezionate?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=matricole.dissocia&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids
                    }
                }).done(function (result) {
                    var msg = {
                        success: ['Dissociazione delle matricole selezionate avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

</script>
