jQuery(document).ready(function ($) {
    $(document).on("click", ".close-intervento", function () {
        $("#close-intervento").find("#idIntervento").val($(this).parents("form[name='intervento']").find("[name='intervento[idIntervento]']").val());
        return false;
    });
    $(document).on("click", "form[name='chiudiIntervento'] .chiudi-intervento", function () {
        jQuery.ajax({
            type: 'POST',
            url: "index.php?option=com_osma&task=interventi.updateStato&format=raw",
            dataType: "json",
            data: $("form[name='chiudiIntervento']").serialize()
        }).done(function (data) {
            if (data.status) {
                window.location.reload();
            }
        });
        return false;
    });

    $(document).on('click', '.print', function () {
        var idChiamata = $(this).data('id');
        $.ajax({
            type: 'POST',
            url: "index.php?option=com_osma&task=chiamate.stampa&format=raw",
            dataType: "html",
            data: {
                idChiamata: idChiamata
            }
        }).done(function (toPrint) {
            var WinPrint = window.open('', '', 'left=0,top=0,width=800,height=900,toolbar=0,scrollbars=0,status=0');
            WinPrint.document.write(toPrint);
            WinPrint.document.close();
            WinPrint.focus();
            WinPrint.print();
            WinPrint.close();
        });
    });

    window.dropzoneconfig = {
        url: "index.php?option=com_osma&task=interventi.upload&format=raw",
        autoProcessQueue: false,
        parallelUploads: 10,
        addRemoveLinks: true,
        resizeWidth: 1920,
        resizeHeight: 1920,
        resizeQuality: 0.75,
        resizeMethod: 'contain',
        removedfile: function (file) {
            if (file.id) {
                jQuery.ajax({
                    type: 'POST',
                    url: "index.php?option=com_osma&task=interventi.removeupload&format=raw",
                    dataType: "json",
                    data: {
                        idFile: file.id
                    }
                }).done(function (data) {
                    if (data.status) {
                        var _ref;
                        return (_ref = file.previewElement) !== null ? _ref.parentNode.removeChild(file.previewElement) : void 0;
                    }
                });
            }
        },
        maxfilesexceeded: function (file) {
            this.removeAllFiles();
            this.addFile(file);
        },
        clickable: true
    };

    Dropzone.autoDiscover = false;
    window.myDropzone = [];
    $('div.dropzone:not(.not-drop)').each(function () {
        var __id = $(this).parents("form").find("#idIntervento").val();
        var __thisD = $(this).parents("form");
        window.dropzoneconfig.init = function () {
            thisDropzone = this;
            $(__thisD).find(".dropzone-file").each(function () {

                var __this = $(this);
                var mockFile = {
                    name: $(__this).data("name"),
                    size: $(__this).data("size"),
                    id: $(__this).data("id"),
                };
                thisDropzone.options.addedfile.call(thisDropzone, mockFile);
                if ($(__this).data("thumb")) {
                    thisDropzone.options.thumbnail.call(thisDropzone, mockFile, $(__this).data("thumb"));
                }
                thisDropzone.options.complete.call(thisDropzone, mockFile);
                $(mockFile.previewElement).on("click", function (e) {
                    e.stopPropagation();
                    e.stopImmediatePropagation();
                    window.open($(__this).data("url"));
                });
            });
        };
        window.myDropzone[__id] = new Dropzone(this, window.dropzoneconfig);
    });


    var DZdefaultconfig = {
        autoProcessQueue: false,
        url: "index.php?option=com_osma&task=interventi.aggiungiFile&format=raw",
        clickable: true,
        addRemoveLinks: true,
        parallelUploads: 1,
        init: function () {
            this.on("addedfile", function (file) {
                if (myDropzoneR.files.length && myDropzoneD.files.length) {
                    $("form[name='chiudiIntervento'] .chiudi-intervento-button").removeClass("disabled");
                }
            });
            this.on("sending", function (file, xhr, formData) {
                formData.append('idIntervento', $("form[name='chiudiIntervento'] #idIntervento").val());
                formData.append('tipo', $(this.element).data("tipo"));
            });
        },
        dictDefaultMessage: "Aggiungi DUVRI",
        dictRemoveFile: "Rimuovi",
        dictCancelUpload: "Annulla"
    };
    thisDZconfig = DZdefaultconfig;
    var myDropzoneD = new Dropzone("div#dropz-duvri", thisDZconfig);
    thisDZconfig = DZdefaultconfig;
    thisDZconfig.dictDefaultMessage = "Aggiungi rapporto";
    var myDropzoneR = new Dropzone("div#dropz-rapporto", thisDZconfig);


    if ($("div#allegati-chiamata").size()) {
        thisDZconfig = DZdefaultconfig;
        thisDZconfig.url = "index.php?option=com_osma&task=chiamata.aggiungiFile&format=raw";
        thisDZconfig.dictDefaultMessage = "Aggiungi allegati";
        thisDZconfig.parallelUploads = 10;
        thisDZconfig.autoProcessQueue = true;
        thisDZconfig.uploadMultiple = true;
        thisDZconfig.init = function () {
            this.on("sending", function (file, xhr, formData) {
                formData.append('idChiamata', $("#chiamataForm [name='idChiamata']").val());
            });
        };
        var dropzoneAllegati = new Dropzone("#allegati-chiamata", DZdefaultconfig);
    }

    $(document).on("click", "form[name='chiudiIntervento'] .chiudi-intervento-button:not(.disabled)", function () {
        $(this).addClass("disabled");
        myDropzoneR.on("queuecomplete", function (file) {
            jQuery.ajax({
                type: 'POST',
                url: "index.php?option=com_osma&task=interventi.updateStato&format=raw",
                dataType: "json",
                data: $("form[name='chiudiIntervento']").serialize()
            }).done(function (data) {
                if (data.status) {
                    window.location.reload();
                }
            });
        });
        myDropzoneD.on("queuecomplete", function (file) {
            myDropzoneR.processQueue();
        });
        myDropzoneD.on("success", function (file) {
            myDropzoneR.processQueue();
        });
        myDropzoneR.on("success", function (file) {
            myDropzoneR.processQueue();
        });
        myDropzoneD.processQueue();
        return false;
    });


    $(document).on("click", ".submitChiamataForm", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $("form[name='chiamataForm']").submit();
        return false;
    });
    $(document).on("click", ".elimina", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var idChiamata = $("input[name='idChiamata']").val();
        if (confirm("Cancellare la chiamata e relativi interventi?")) {
            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=chiamata.deleteChiamata&format=raw&tmpl=component',
                data: {
                    'idChiamata': idChiamata
                }
            }).done(function (data) {
                window.location.href = "index.php?option=com_osma&view=chiamate";
            });
        }
        return false;
    });
    $(document).on("click", ".allegati-intervento-btn", function () {
        $("#allegati-intervento .modal-title").html($(this).data("title"));
        $("#allegati-intervento .modal-body").html($(this).data("html"));
    });
    $(document).on("click", ".save-intervento:not(.disabled)", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).button('loading');
        var __this = $(this);
        var __idIntervento = $(__this).parents("form[name='intervento']").find("#idIntervento").val();
        var __idChiamata = $(__this).parents("form[name='intervento']").find("input[name='intervento[idChiamata]']").val();
        var __data = $(__this).parents("form[name='intervento']").serialize();
        $.ajax({
            url: "index.php?option=com_osma&task=interventi.salva&format=raw",
            data: __data
        }).done(function (data) {
            data = JSON.parse(data);
            if (data.status && data.idIntervento) {
                __idIntervento = data.idIntervento;
                if ($(__this).parents("form[name='intervento']").find("input[name='intervento[isTemp]']").val() == "1") {
                    var oldTemp = $(__this).parents("form[name='intervento']").find("#idIntervento").val();
                    $(__this).parents("form[name='intervento']").find("#idIntervento").val(__idIntervento);
                    $(__this).parents("form[name='intervento']").find("input[name='intervento[isTemp]']").val("0");
                    window.myDropzone[__idIntervento] = window.myDropzone[oldTemp];
                    delete window.myDropzone[oldTemp];
                }

                if (window.myDropzone[__idIntervento].files.length) {
                    window.myDropzone[__idIntervento].on('sending', function (file, xhr, formData) {
                        formData.append('idIntervento', __idIntervento);
                        formData.append('idChiamata', __idChiamata);
                    });
                    window.myDropzone[__idIntervento].on('success', function (file, response) {
                        response = JSON.parse(response);
                        file.name = response.fileName;
                        file.id = response.idFile;
                        $(file.previewElement).on("click", function (e) {
                            e.stopPropagation();
                            e.stopImmediatePropagation();
                            window.open(response.url);
                        });
                    });
                    window.myDropzone[__idIntervento].on('queuecomplete', function (response) {
                        $.ajax({
                            url: "index.php?option=com_osma&task=interventi.sendMail&format=raw",
                            dataType: "json",
                            data: {
                                idIntervento: __idIntervento
                            }
                        }).done(function (data) {
                            $(__this).button('reset');
                        });
                    });
                    window.myDropzone[__idIntervento].processQueue();
                } else {
                    $.ajax({
                        url: "index.php?option=com_osma&task=interventi.sendMail&format=raw",
                        dataType: "json",
                        data: {
                            idIntervento: __idIntervento
                        }
                    }).done(function (data) {
                        $(__this).button('reset');
                    });
                }
            }
        });
        return false;
    });
    jQuery("[name='intervento[tipologia]']").chosen({
        no_results_text: "Nessun risultato",
        placeholder_text_multiple: "Seleziona la tipologia di intervento"
    });
    jQuery(".gestore-select").chosen({
        no_results_text: "Nessun risultato",
        placeholder_text_single: "Seleziona il punto vendita"
    });
    jQuery(".teamselect").chosen({
        no_results_text: "Nessun risultato",
        placeholder_text_multiple: "Seleziona il team"
    });
    jQuery(".inviaselect").chosen({
        no_results_text: "Nessun risultato",
        placeholder_text_single: "Seleziona a chi inviare"
    });
    jQuery(".mezzoselect").chosen({
        no_results_text: "Nessun risultato",
        placeholder_text_single: "Seleziona il mezzo"
    });
    jQuery(".mezzo2select").chosen({
        no_results_text: "Nessun risultato",
        placeholder_text_single: "Seleziona il mezzo"
    });
    jQuery("#date1").datetimepicker({format: 'DD/MM/YYYY HH:mm'});
    jQuery('#date2').datetimepicker({format: 'DD/MM/YYYY HH:mm'});
    jQuery("#date1").on("dp.change", function (e) {
        var dtp = new Date(jQuery(this).data('DateTimePicker').date());
        tomorrow = new Date();
        tomorrow.setDate(dtp.getDate() + 1);
        var days = tomorrow.getDate();
        var months = tomorrow.getMonth() + 1;
        var years = tomorrow.getFullYear();
        var minutes = dtp.getMinutes();
        var hours = dtp.getHours();
        jQuery("#date2").data('DateTimePicker').date(days + "/" + months + "/" + years + " " + hours + ":" + minutes);
    });
    jQuery(document).on('change', '.date1 > input', function (event) {
        dataApertura = jQuery(this).val();
        idGestore = jQuery("#gestore").val();
        if (idGestore && idGestore != "") {
            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=chiamata.getClienteNrChiamata&format=raw&tmpl=component',
                data: {
                    'idGestore': idGestore,
                    'dataApertura': dataApertura},
                dataType: "json"
            }).done(function (data) {
                if (data == 'error') {

                } else {
                    jQuery('#cliente').val(data.ragioneSociale);
                    jQuery('#logo').val(data.logoRapportino);
                    jQuery('#idCliente').val(data.idCliente);
                    var cont = data.contatore;
                    var contatore = "";
                    if (cont < 10) {
                        contatore = "000" + cont;
                    } else if (cont < 100) {
                        contatore = "00" + cont;
                    } else if (cont < 1000) {
                        contatore = "0" + cont;
                    } else {
                        contatore = cont;
                    }
                    jQuery('#nrChiamata').val(data.sigla + contatore + "/" + data.anno);
                    jQuery('#idCompagnia').val(data.idCompagnia);
                }
            });
        }
    });
    jQuery(document).on('change', '.inviaselect', function (event) {
        var i = jQuery(this).data("i");
        var idUser = jQuery(this).val();
        jQuery.ajax({
            type: 'POST',
            url: 'index.php?option=com_osma&task=chiamata.getMezzoAssociato&format=raw&tmpl=component',
            data: {
                'idUser': idUser
            },
            dataType: "json"
        }).done(function (data) {
            if (data == 'error') {

            } else {
                jQuery("#mezzi" + i).val(data.idMezzo);
                jQuery(".mezzo-select" + i).trigger("chosen:updated");
            }
        });
    });
    jQuery(document).on('change', '.gestore-select', function (event) {
        idGestore = jQuery(this).val();
        dataApertura = jQuery("#dataApertura").val();
        jQuery.ajax({
            type: 'POST',
            url: 'index.php?option=com_osma&task=chiamata.getClienteNrChiamata&format=raw&tmpl=component',
            data: {
                'idGestore': idGestore,
                'dataApertura': dataApertura
            },
            dataType: "json"
        }).done(function (data) {
            if (data == 'error') {

            } else {
                jQuery('#cliente').val(data.ragioneSociale);
                jQuery('#idCliente').val(data.idCliente);
                var cont = data.contatore;
                var contatore = "";
                if (cont < 10) {
                    contatore = "000" + cont;
                } else if (cont < 100) {
                    contatore = "00" + cont;
                } else if (cont < 1000) {
                    contatore = "0" + cont;
                } else {
                    contatore = cont;
                }
                jQuery('#nrChiamata').val(data.sigla + contatore + "/" + data.anno);
                jQuery('#idCompagnia').val(data.idCompagnia);
            }
        });
    });
    jQuery(document).on('click', '.remove-btn', function (event) {
        event.preventDefault();
        var idIntervento = jQuery(this).parents("form[name='intervento']").find("#idIntervento").val();
        var __this = jQuery(this);
        if (confirm("Cancellare l'intervento selezionato?")) {
            if (idIntervento != "new") {
                jQuery.ajax({
                    type: 'POST',
                    url: 'index.php?option=com_osma&task=chiamata.deleteIntervento&format=raw&tmpl=component',
                    data: {
                        'idIntervento': idIntervento
                    }
                }).done(function () {
                    jQuery(__this).parents("form[name='intervento']").remove();
                });
            }
            var cont = jQuery("#nInterventi").val();
            cont = parseInt(cont) - 1;
            jQuery("#nInterventi").val(cont);
        }
        return false;
    });

    jQuery(document).on("change", "[name='intervento[invia]']", function () {
        if (jQuery(this).parents("form").find("[name='intervento[team][]']").val() == null) {
            jQuery(this).parents("form").find("[name='intervento[team][]']").val(jQuery(this).val());
            jQuery(this).parents("form").find("[name='intervento[team][]']").trigger("chosen:updated");
        }
    });
//aggiungi intervento
    jQuery(document).on('click', '.aggiungi', function (event) {
        event.preventDefault();
        var cont = jQuery('#nInterventi').val();
        var idChiamata = jQuery("input[name='idChiamata']").val();
        var i = parseInt(cont) + 1;
        var timestamp = new Date().getUTCMilliseconds();
        timestamp = "tp" + timestamp;
        var html = '';
        html += "<form name='intervento'>";
        html += '<input type="hidden" value="' + idChiamata + '" name="intervento[idChiamata]" id="idChiamata" />';
        html += '<input type="hidden" value="' + timestamp + '" name="intervento[idIntervento]" id="idIntervento" />';
        html += '<input type="hidden" value="1" name="intervento[isTemp]"/>';
        html += '<div class="panel panel-warning">';
        html += '<div class="panel-heading" style="display:flex;align-items:center;">';
        html += '<h3 class="panel-title col-md-9">Intervento nr.' + i + '</h3>';
        html += '<div class="col-md-3 text-right">';
        html += '<button class="btn btn-info btn-sm save-intervento" data-loading-text="<i class=\'fa fa-circle-o-notch fa-spin\'></i> Salvando..."><span class="glyphicon glyphicon-floppy-open"></span> Salva ed invia</button> ';
        html += '<button class="btn btn-danger btn-sm remove-btn"><span class="glyphicon glyphicon-remove"></span> Rimuovi intervento</button>';
        html += '</div>';
        html += '</div>';
        html += '<div class="panel-body">';
        html += '<div class="row">';
        html += '<div class="col-md-6">';
        html += '<label class="col-md-4">Tipo Intervento:</label>';
        html += '<div class="col-md-8" style="margin-top: 10px">';
        html += '<select name="intervento[tipologia]" id="tipologie' + i + '">';
        html += '<option value="1">Meccanico</option>';
        html += '<option value="2">Edile</option>';
        html += '<option value="3">Elettrico</option>';
        html += '<option value="4">Elettronico</option>';
        html += '<option value="5">Video Sorveglianza</option>';
        html += '<option value="6">Antintrusione</option>';
        html += '</select>';
        html += '</div>';
        html += '<label class="col-md-4">Invio mail a:</label>';
        html += '<div class="col-md-8" style="margin-top: 10px">';
        html += '<select id="invia' + i + '" name="intervento[invia]" class="chosen-select inviaselect invia-select' + i + '" tabindex="11" style="width:100%;" data-i="' + i + '">';
        html += '</select>';
        html += '</div>';
        html += '<label class="col-md-4">Team di lavoro:</label>';
        html += '<div class="col-md-8" style="margin-top: 10px">';
        html += '<select id="team' + i + '" name="intervento[team][]" multiple class="chosen-select team-select' + i + '" tabindex="11" style="width:100%;">';
        html += '</select>';
        html += '</div>';
        html += '<br clear="all">';
        html += '<label class="col-md-4">Mezzo:</label>';
        html += '<div class="col-md-8" style="margin-top: 10px">';
        html += '<select id="mezzi' + i + '" name="intervento[mezzo]" class="chosen-select mezzoselect mezzo-select' + i + '" tabindex="11" style="width:100%;">';
        html += '</select>';
        html += '</div>';
        html += '<label class="col-md-4">Secondo Mezzo:</label>';
        html += '<div class="col-md-8" style="margin-top: 10px">';
        html += '<select id="mezzi2' + i + '" name="intervento[mezzo2]" class="chosen-select mezzo2select mezzo2-select' + i + '" tabindex="11" style="width:100%;">';
        html += '<option value="0">Seleziona il secondo mezzo</option>';
        html += '</select>';
        html += '</div>';
        html += '</div>';
        html += '<div class="col-md-6">';
        html += '<label class="col-md-12">Note:</label>';
        html += '<div class="col-md-12" style="margin-bottom: 15px">';
        html += '<textarea class="form-control" name="intervento[note]" id="note' + i + '"  rows="6"></textarea>';
        html += '</div>';
        html += '<label class="col-md-6">Documenti:</label>';
        html += '<div class="col-md-12 text-center">';
        html += '<div id="id' + i + '" class="dropzone" data-i="' + i + '"></div>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '</form>';
        jQuery('.interventi-group').append(html);
        jQuery('#nInterventi').val(i);
        window.myDropzone[timestamp] = new Dropzone("#id" + i, window.dropzoneconfig);
        jQuery.ajax({
            type: 'POST',
            url: 'index.php?option=com_osma&task=chiamata.getManutentori2&format=raw&tmpl=component',
            data: {},
            dataType: 'json'
        }).done(function (data) {
            if (data == 'error') {

            } else {
                jQuery(".team-select" + i).html('');
                if (data.length > 0) {
                    jQuery.each(data, function (idx, obj) {
                        jQuery(".team-select" + i).append('<option value="' + obj.id + '">' + obj.name + '</option>');
                    });
                    jQuery(".team-select" + i).chosen({
                        no_results_text: "Nessun risultato",
                        placeholder_text_multiple: "Seleziona il team"
                    });
                    jQuery(".team-select" + i).trigger("chosen:updated");
                    jQuery(".invia-select" + i).append('<option value=""></option>');
                    jQuery.each(data, function (idx, obj) {
                        jQuery(".invia-select" + i).append('<option value="' + obj.id + '">' + obj.name + '</option>');
                    });
                    jQuery(".invia-select" + i).chosen({
                        placeholder_text_single: "Seleziona il team leader",
                        no_results_text: "Nessun risultato",
                        placeholder_text_single: "Invia mail a"
                    });
                    jQuery(".invia-select" + i).trigger("chosen:updated");
                    jQuery("#tipologie" + i).chosen({
                        no_results_text: "Nessun risultato",
                        placeholder_text_multiple: "Seleziona il tipo di intervento"
                    });
                } else {
                    jQuery(".team-select" + i).html('');
                    jQuery(".team-select" + i).trigger("chosen:updated");
                    alert("Nessun manutentore inserito!");

                    jQuery(".invia-select" + i).html('');
                    jQuery(".invia-select" + i).trigger("chosen:updated");
                    alert("Nessun manutentore inserito!");
                }
            }
        });
        jQuery.ajax({
            type: 'POST',
            url: 'index.php?option=com_osma&task=chiamata.getMezzi2&format=raw&tmpl=component',
            data: {},
            dataType: 'json'
        }).done(function (data) {
            if (data == 'error') {

            } else {
//carico select manutentori
                jQuery(".mezzo-select" + i).html('');
                if (data.length > 0) {
                    jQuery.each(data, function (idx, obj) {
                        jQuery(".mezzo-select" + i).append('<option value="' + obj.idMezzo + '">' + obj.marca + ' | ' + obj.modello + ' | ' + obj.targa + '</option>');
                        jQuery(".mezzo2-select" + i).append('<option value="' + obj.idMezzo + '">' + obj.marca + ' | ' + obj.modello + ' | ' + obj.targa + '</option>');
                    });
                    jQuery(".mezzo-select" + i).chosen({
                        no_results_text: "Nessun risultato",
                        placeholder_text_multiple: "Seleziona il mezzo"
                    });
                    jQuery(".mezzo2-select" + i).trigger("chosen:updated");
                    jQuery(".mezzo2-select" + i).chosen({
                        no_results_text: "Nessun risultato",
                        placeholder_text_multiple: "Seleziona il mezzo"
                    });
                    jQuery(".mezzo-select" + i).trigger("chosen:updated");
                } else {
                    jQuery(".mezzo-select" + i).html('');
                    jQuery(".mezzo-select" + i).trigger("chosen:updated");
                    jQuery(".mezzo2-select" + i).html('');
                    jQuery(".mezzo2-select" + i).trigger("chosen:updated");
                    alert("Nessun mezzo inserito!")
                }
            }
        });
    });

    $(document).on("click", ".show-libretti", function (e) {
        e.preventDefault();
        var href = $(this).data("href");
        var html = "";

        html += "<ul>";
        $.each(href, function (i, val) {
            html += "<li><a href='" + val.href + "' target='_blank'>" + val.name + "</a></li>";
        });
        html += "</ul>";
        $("#show-libretti .modal-title").html("Libretti metrologici creati nell'intervento #" + $(this).parents("form[name='intervento']").find("[name='intervento[idIntervento]']").val())
        $("#show-libretti .modal-body").html(html);

        $("#show-libretti").modal("show");
        return false;
    });
});