<?php

defined('_JEXEC') or die('Restricted access');

ini_set('upload_max_filesize', '32M');
ini_set('max_execution_time', '999');
ini_set('memory_limit', '128M');
ini_set('post_max_size', '32M');

if (strpos(JUri::root(), 'betasiti')) {
    define('COM_OSMA_MAIL_DEBUG', true);
} else {
    define('COM_OSMA_MAIL_DEBUG', false);
}

define('COM_OSMA_VER', (COM_OSMA_MAIL_DEBUG ? time() : "1.0.0" . time()));
define('COM_OSMA_NAME', "OSMA - Fuel management system");

define('DS', "/");

JLoader::register('osmaHelper', JPATH_COMPONENT . DS . 'helpers' . DS . 'osmaHelper.php');
JLoader::register('mailerHelper', JPATH_COMPONENT . DS . 'helpers' . DS . 'mailerHelper.php');

define('COM_OSMA_AL_ADMIN', 0);
define('COM_OSMA_AL_MANUTENTORI', 1);
define('COM_OSMA_AL_UTENZE', 2);

define('COM_OSMA_GR_ADMINISTRATOR', osmaHelper::getGroupID("Administrator"));
define('COM_OSMA_GR_ROOT', osmaHelper::getGroupID("Super users"));
define('COM_OSMA_GR_MANUTENTORI', osmaHelper::getGroupID("Manutentori"));
define('COM_OSMA_GR_CLIENTI', osmaHelper::getGroupID("Clienti"));
define('COM_OSMA_GR_GESTORI', osmaHelper::getGroupID("Gestori"));

define('COM_OSMA_MAIL_NAME', 'CHIAMATE');
define('COM_OSMA_MAIL_EMAIL', 'chiamate@osmasnc.it');
define('COM_OSMA_MAIL_TO', 'osmasnc@osmasnc.it');
define('COM_OSMA_MAIL_MARIOTTI', 'osmasnc.mariotti@osmasnc.it');
define('COM_OSMA_MAIL_CHIUSURE', 'osmasnc@osmasnc.it');
define('COM_OSMA_MAIL_UFFICIO', 'osmasnc.amministrazione@osmasnc.it');

JHtml::_('script', 'system/core.js', false, true);
JHtml::_('jquery.framework');
JHtml::_('jquery.ui');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'components/com_osma/assets/css/common.css?ver=' . COM_OSMA_VER);
$document->addStyleSheet(JURI::base() . 'components/com_osma/assets/css/osma.css?ver=' . COM_OSMA_VER);
$document->addStyleSheet(JURI::base() . 'components/com_osma/lib/chosen/css/chosen.min.css?ver=' . COM_OSMA_VER);
$document->addStyleSheet(JURI::base() . 'components/com_osma/lib/colorpicker/css/bootstrap-colorpicker.min.css?ver=' . COM_OSMA_VER);
$document->addStyleSheet(JURI::base() . 'components/com_osma/lib/datetimepicker/bootstrap-datetimepicker.min.css?ver=' . COM_OSMA_VER);
$document->addStyleSheet('https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.css');
$document->addStyleSheet('//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css?ver=' . COM_OSMA_VER);

$document->addScript(JURI::base() . 'components/com_osma/assets/js/app.js?ver=' . COM_OSMA_VER, 'text/javascript');

$document->addScript(JURI::base() . 'components/com_osma/lib/chosen-1.8.2/chosen.jquery.min.js?ver=' . COM_OSMA_VER, 'text/javascript');
$document->addScript(JURI::base() . 'components/com_osma/lib/colorpicker/bootstrap-colorpicker.js?ver=' . COM_OSMA_VER, 'text/javascript');
$document->addScript(JURI::base() . 'components/com_osma/lib/datetimepicker/moment.js?ver=' . COM_OSMA_VER, 'text/javascript');
$document->addScript(JURI::base() . 'components/com_osma/lib/datetimepicker/bootstrap-datetimepicker.js?ver=' . COM_OSMA_VER, 'text/javascript');
$document->addScript('https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.js', 'text/javascript');
$document->addScript(JURI::base() . 'components/com_osma/lib/jsignature/jSignature.min.noconflict.js?ver=' . COM_OSMA_VER, 'text/javascript');

$document->addScriptDeclaration('Dropzone.autoDiscover = false;');

if (JFactory::getUser()->guest) {
    $app = JFactory::getApplication();
    $message = "Devi essere loggato per visualizzare il contenuto";
    $url = JRoute::_('index.php?option=com_users&view=login&return=' . base64_encode($_SERVER['REQUEST_URI']));
    $app->redirect($url, $message);
}

// Get an instance of the controller prefixed by Osma
$controller = JControllerLegacy::getInstance('Osma');
// Perform the Request task
$input = JFactory::getApplication()->input;
$controller->execute($input->getCmd('task'));
// Redirect if set by the controller
$controller->redirect();
