<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
            }

            html body {
                font-size: 13px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
                font-size: 14px;
            }

            p.page-braker { page-break-after: always; }
            html { margin: 15px 15px 120px;}
            @page { padding: 15px 15px 120px; position: relative;}

            footer {position: fixed; bottom: 0; left: 40px; right: 40px}
            footer table td {font-size: 11px; padding: 3px}
            footer table td b {font-size: 11px}
            footer .pagenum:before {content: counter(page);}
        </style>
    </head>
    <body>
        <footer>
            <div style="text-align: right; padding-bottom: 10px;">
                <b>Pag. <span class="pagenum"></span>
            </div>
            <table style='width: 100%; border-top: 1px solid #000' cellpadding='0' cellspacing='0'>
                <tr>
                    <td style="text-align: center; font-weight: bold; padding-top: 5px;">
                        OSMA SRL<br>
                        Zona Industrialie nr. 8 - Nonio (VB) - 28891<br>
                        Telefono: 0323/889158 - Email: osmasnc@osmasnc.it
                    </td>
                </tr>
            </table>
        </footer>
        <table cellpadding='0' cellspacing='0' style='margin-bottom: 30px;'>
            <tr style=''>
                <td style='width: 45%; text-align: left;'>
                    <img src="components/com_osma/templates/assets/img/osma_logo.png" style='height: 115px; width: 180px;'/>
                </td>
                <td style='width: 55%; text-align: center;' align='center'>
                    Spett.le Camera di Commercio di<br><b><?php echo osmaHelper::getProvinciaEstesa($rapporto->provincia) ?></b><br><br>
                    Ufficio Metrico
                </td>
            </tr>
        </table>
        <table style='margin-bottom: 15px;'>
            <tr>
                <td style='font-style: italic; font-size: 13px; line-height: 1.1;'>
                    Oggetto: Dichiarazione di riparazione antecedente all'esecuzione della prima verifica periodica (art. 7 comma 4 - d.m. 21/04/2017 nr. 93).
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td>
                    Il sottoscritto <b><?php echo $rapporto->manutentore ?></b>, in qualità di riparatore incaricato dall'impresa <b>OSMA SRL</b> con sede nel Comune di <b>Nonio (VB)</b>, via / piazza <b>Zona industriale nr. 8</b> iscritta alla CC I.A.A. di <b>Verbania</b>
                    al numero REA <b>VB - 192429</b>, codice fiscale / partita IVA: <b>01971090038</b>, telefono: <b>0323/889158</b>.
                </td>
            </tr>
            <tr>
                <td style='text-align: center; font-style: italic; padding-top: 10px; padding-bottom: 10px; font-size: 14px;'>
                    <b>dichiara:</b><br>
                    di aver provveduto alla riparazione dello/gli strumento/i di misura sotto elencati e <b>si richiede verifica periodica</b>:
                </td>
            </tr>
        </table>

        <table style='border: 1px solid #000; font-size: 13px;'>

            <?php if ($pistole) { ?>
                <?php $count = 1; ?>
                <?php foreach ($pistole as $pistola) { ?>
                    <tr>
                        <td colspan='3' style=' padding: 5px; border-bottom: 1px solid #000;'><?php echo $count ?>) Tipo strumento: <?php echo strtoupper($pistola->tipologia) ?></td>
                    </tr>
                    <tr>
                        <td style='width: 33.3%; padding: 5px; border-bottom: 1px solid #000; border-right: 1px solid #000;'>Marca: <?php echo strtoupper($pistola->marca) ?></td>
                        <td style='width: 33.3%; padding: 5px; border-bottom: 1px solid #000; border-right: 1px solid #000;'>Modello: <?php echo strtoupper($pistola->modello) ?></td>
                        <td style='width: 33.3%; padding: 5px; border-bottom: 1px solid #000;'>Matricola: <?php echo strtoupper($pistola->nrMatricola) ?></td>
                    </tr>
                    <tr>
                        <td colspan='3' style=' padding: 5px; border-bottom: 1px solid #000;'>Descrizione dell'intervento effettuato: <?php echo $pistola->descrizione ?></td>
                    </tr>
                    <tr>
                        <td colspan='3' style=' padding: 5px; border-bottom: 2px solid #000;'>Sigilli asportati n.: <?php echo $pistola->sA ?>, sigilli provvisori applicati n.: <?php echo $pistola->sPA ?> a protezione di <?php echo $pistola->aP ?></td>
                    </tr>
                    <?php $count++; ?>
                <?php } ?>
            <?php } ?>

            <tr>
                <td colspan='3' style='padding: 5px;'>
                    <b>Gli strumenti sopra riportati erano / sono in uso presso l'utente metrico:</b><br><br>
                    <b>Denominazione azienda:</b> <?php echo $rapporto->ragioneSociale ?> - <b>Città:</b> <?php echo ucwords(strtolower($rapporto->comune)) ?> (<?php echo strtoupper($rapporto->provincia) ?>)<br>
                    <b>Indirizzo:</b> <?php echo ucwords(strtolower($rapporto->indirizzo)) ?><br>
                    <b>Provincia:</b> <?php echo $rapporto->provincia ?> - <b>Partita IVA:</b> <?php echo $rapporto->piva ?> - <b>Colori compagnia:</b> <?php echo ucwords(strtolower($rapporto->compagnia)) ?> - <?php echo strtoupper($rapporto->nrPuntoVendita) ?>
                </td>
            </tr>
        </table>

        <div style='margin: 30px 0;'>Data: <?php echo date("d/m/Y", strtotime($rapporto->oraI)) ?></div>

        <?php
        $explode = explode(";base64,", $rapporto->firma1);
        $sizes = getimagesizefromstring(base64_decode($explode[1]));

        $new = 250;
        if ($sizes[0] > $new) {
            $newh = round(($new * $sizes[1]) / $sizes[0], 0);
        } else {
            $new = $sizes[0];
            $neh = $sizes[1];
        }

        $explode = explode(";base64,", $rapporto->firma1);
        $sizes = getimagesizefromstring(base64_decode($explode[1]));

        $new = 250;
        if ($sizes[0] > $new) {
            $newh = round(($new * $sizes[1]) / $sizes[0], 0);
        } else {
            $new = $sizes[0];
            $neh = $sizes[1];
        }
        ?>

        <table>
            <tr>

                <?php
                $explode = explode(";base64,", $rapporto->firma1);
                $sizes = getimagesizefromstring(base64_decode($explode[1]));

                $new = 250;
                if ($sizes[0] > $new) {
                    $newh = round(($new * $sizes[1]) / $sizes[0], 0);
                } else {
                    $new = $sizes[0];
                    $neh = $sizes[1];
                }
                ?>
                <td style='width: 50%; padding: 0 10px; text-align: center;'>
                    IL TITOLARE DELLO STRUMENTO<br><br>
                    <img src='<?php echo $rapporto->firma1 ?>' style='width: <?php echo $neww ?>px;; height: <?php echo $newh ?>px;'>
                </td>

                <?php
                $explode = explode(";base64,", $rapporto->firma2);
                $sizes = getimagesizefromstring(base64_decode($explode[1]));

                $new = 250;
                if ($sizes[0] > $new) {
                    $newh = round(($new * $sizes[1]) / $sizes[0], 0);
                } else {
                    $new = $sizes[0];
                    $neh = $sizes[1];
                }
                ?>
                <td style='width: 50%; padding: 0 10px; text-align: center;'>
                    IL RIPARATORE<br><br>
                    <img src='<?php echo $rapporto->firma2 ?>' style='width: <?php echo $neww ?>px;; height: <?php echo $newh ?>px;'>
                </td>
            </tr>
        </table>

    </body>
</html>