<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
            }

            html body {
                font-size: 14px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
            }

            .verytable td {font-size: 12px; text-align: center; border: 1px solid #000; padding: 5px;}

            p.page-braker { page-break-after: always; }
            @page { padding: 1.25cm 1.25cm 6cm; position: relative;}

            .main-table thead tr td {border-left: 1px solid #000; font-weight: bold;}
            .main-table tbody tr td {border-left: 1px solid #000; border-top: 1px solid #000; font-size: 12px;}
            
            footer {position: fixed; left:1.25cm; right: 1.25cm; bottom: 4.5cm; }
        </style>
    </head>
    <body>
        <table>
            <tr>
                <td style="width: 33.3%; vertical-align: top">
                    <img src="<?php echo JPATH_COMPONENT ?>/controllers/assets/img/logo_e2oil.jpg" style="max-height: 85px;"/>
                </td>
                <td style="width: 33.3%; font-size: 12px; vertical-align: top">
                    <b>E2oil di Resta Luca</b><br/>
                    Via Maestri del Lavoro 20/22<br/>
                    20813, Bovisio Masciago (MB)
                </td>
                <td style="width: 33.3%; font-size: 12px; vertical-align: top">
                    P.I.: 09169480960<br/>
                    C.F.: RSTLCU81E21I441Y<br/>
                    Tel.: 0362.1791410 - Fax: 0362.1513079<br/>
                    www.e2oil.it
                </td>
            </tr>
        </table>
        <hr style="height: 20px"/>
        <table>
            <thead>
                <tr>
                    <td style="width: 47.5%; padding-bottom: 5px">
                        <b>Destinazione</b>
                    </td>
                    <td style="width: 5%">

                    </td>
                    <td style="width: 47.5%; padding-bottom: 5px">
                        <b>Spettabile</b>
                    </td>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td style="border: 1px solid #000; padding: 5px;">
                        <?php echo $preventivo->destinazione['denominazione'] ?><br/>
                        <?php echo $preventivo->destinazione['indirizzo'] ?><br/>
                        <?php echo str_pad($preventivo->destinazione['cap'], 5, 0, STR_PAD_LEFT) ?>, <?php echo $preventivo->destinazione['comune'] ?><br/>
                        Tel.: <?php echo $preventivo->destinazione['telefono'] ?>
                    </td>
                    <td style="">

                    </td>
                    <td style="border: 1px solid #000; padding: 5px;">
                        <?php echo $preventivo->spettabile['denominazione'] ?><br/>
                        <?php echo $preventivo->spettabile['indirizzo'] ?><br/>
                        <?php echo str_pad($preventivo->spettabile['cap'], 5, 0, STR_PAD_LEFT) ?>, <?php echo $preventivo->spettabile['comune'] ?><br/>
                        Tel.: <?php echo $preventivo->spettabile['telefono'] ?>
                    </td>
                </tr>
            </tbody>
        </table>

        <hr style="height: 7px"/>
        <h1 style="font-weight: bold; font-size: 18px;">Preventivo N. <?php echo $preventivo->idPreventivo ?></h1>
        <h2 style="margin-top: 2px; font-weight: bold; font-size: 16px;">Data: <?php echo date("d/m/Y", strtotime($preventivo->inserted)) ?></h2>
        <hr style="height: 3px"/>

        <p>Con la presente siamo a formularVi la miglior proposta per la verificazione periodica delle apparecchiature da Voi elencate ne modello "Richiesta preventivo".</p>
        <hr style="height: 3px"/>
        <table style="border: 1px solid #000" cellspacing="0" cellpadding="3" class="main-table">
            <thead>
                <tr>
                    <td style="width: 13%">Codice</td>
                    <td >Descrizione</td>
                    <td style="text-align: center; width: 3.5%">UM</td>
                    <td style="text-align: right; width: 10%">Prezzo</td>
                    <td style="text-align: right; width: 7.5%">Q.tà</td>
                    <td style="text-align: right; width: 7.5%">Sc.%</td>
                    <td style="text-align: right; width: 11%">Totale</td>
                    <td style="text-align: center; width: 3.5%">IVA</td>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($preventivo->voci as $vo) { ?>
                    <tr>
                        <td><?php echo $vo->codice ?></td>
                        <td><?php echo $vo->descrizione ?></td>
                        <td style="text-align: center;"><?php echo strtoupper($vo->um) ?></td>
                        <td style="text-align: right;">€ <?php echo number_format($vo->prezzo, 2, ",", "") ?></td>
                        <td style="text-align: right;"><?php echo number_format($vo->quantita, 2, ",", "") ?></td>
                        <td style="text-align: right;"><?php echo number_format($vo->sconto, 2, ",", "") ?></td>
                        <td style="text-align: right;">€ <?php echo number_format($vo->totale, 2, ",", "") ?></td>
                        <td style="text-align: center;"><?php echo number_format($vo->iva, 0, "", "") ?></td>
                    </tr>
                <?php } ?>
                <?php for ($i = 0; $i < (20 - count($preventivo->voci)); $i++) { ?>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                <?php } ?>
            </tbody>
        </table>
        
        <footer>
            <table style="" cellspacing="0" cellpadding="3" class="main-table">
                <thead>
                    <tr>
                        <td style="border: 1px solid #000; width: 27.5%; text-align: left">Tipo di pagamento</td>
                        <td></td>
                        <td style="border: 1px solid #000; width: 20%; text-align: right">Totale imponibile</td>
                        <td style="border: 1px solid #000; width: 20%; text-align: right">Totale I.V.A.</td>
                        <td style="border: 1px solid #000; width: 20%; text-align: right">Totale preventivo</td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td style="border: 1px solid #000; font-size: 14px"><?php echo $preventivo->tipoPagamento ?></td>
                        <td style="border: 0"></td>
                        <td style="border: 1px solid #000; text-align: right; font-size: 14px">€ <?php echo number_format($preventivo->totaleImponibile, 2, ",", "") ?></td>
                        <td style="border: 1px solid #000; text-align: right; font-size: 14px">€ <?php echo number_format($preventivo->totaleIva, 2, ",", "") ?></td>
                        <td style="border: 1px solid #000; text-align: right; font-size: 14px">€ <?php echo number_format($preventivo->totalePreventivo, 2, ",", "") ?></td>
                    </tr>
                </tbody>
            </table>
            <hr style="height: 5px"/>
            <table cellpadding="0">
                <tbody>
                    <tr>
                        <td style="width: 50%">
                            <b>Bonifico intestato a:</b> <?php echo $preventivo->bIntestazione ?><br/>
                            <b>Banca:</b> <?php echo $preventivo->bDenominazione ?><br/>
                            <b>IBAN:</b> <?php echo $preventivo->bIban ?>
                        </td>
                        <td style="width: 5%"></td>
                        <td style="width: 20%; text-align: center; border-bottom: 1px solid #000">Data<br/><br/></td>
                        <td style="width: 5%"></td>
                        <td style="width: 20%; text-align: center; border-bottom: 1px solid #000">Il cliente<br/><br/></td>
                    </tr>
                </tbody>
            </table>
        </footer>

    </body>
</html>