<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Matricole Associate</h3>
    </div>
    <div class="panel-body">
        <?php if (count($matricole)) { ?>
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                    <th>Nr. Matricola</th>
                    <th>Marca</th>
                    <th>Tipologia</th>
                    <th>Modello</th>
                    </thead>
                    <tbody>
                        <?php foreach ($matricole as $matricola) { ?>
                            <tr>
                                <td><?php echo $matricola->nrMatricola; ?></td>
                                <td><?php echo $matricola->marca; ?></td>
                                <td><?php echo $matricola->tipologia; ?></td>
                                <td><?php echo $matricola->modello; ?></td>
                            </tr>
                        <?php } ?>

                    </tbody>
                </table>
            </div>
        <?php } else { ?>
            <p>Nessuna matricola associata a questo gestore.</p>
        <?php } ?>
    </div>
</div>
<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Cisterne</h3>
    </div>
    <div class="panel-body">
        <?php if (count($cisterne)) { ?>
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                    <th>Nr. Cisterna</th>
                    <th>Capienza</th>
                    <th>Prodotto Erogato</th>
                    <th>Presenza intercapedine</th>
                    <th>Note</th>
                    </thead>
                    <tbody>
                        <?php foreach ($cisterne as $cisterna) { ?>
                            <tr>
                                <td><?php echo $cisterna->nrCisterna; ?></td>
                                <td><?php echo $cisterna->capienza; ?></td>
                                <td><?php echo $cisterna->prodotto; ?></td>
                                <td><?php echo ($cisterna->presenza ? "Si" : "No"); ?></td>
                                <td><?php echo $cisterna->note; ?></td>
                            </tr>
                        <?php } ?>

                    </tbody>
                </table>
            </div>
        <?php } else { ?>
            <p>Nessuna cisterna associata a questo gestore.</p>
        <?php } ?>
    </div>
</div>
