<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=compagnie'); ?>" method="post" id="adminForm" class="form-validate" name="compagnieForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title">Anagrafica Compagnie</h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th class="text-center"><span class="glyphicon glyphicon-picture"></span></th>
                            <th>Compagnia</th>
                            <th>Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="4" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if (!empty($this->compagnie)) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->compagnie as $i => $compagnia) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $compagnia->idCompagnia); ?>
                                <tr>
                                    <td align="center"><?php echo $checked; ?></td>
                                    <td class="text-center">
                                        <?php if (JFile::exists(JPATH_SITE . DS . 'components' . DS . 'com_osma' . DS . 'files' . DS . 'compagnie' . DS . $compagnia->idCompagnia . '.jpg')) { ?>
                                            <img src="<?php echo JURI::root(true) . '/components/com_osma/files/compagnie/' . $compagnia->idCompagnia . '.jpg'; ?>" style="height:25px;"/>
                                        <?php } else { ?>
                                            <img src="<?php echo JURI::root(true) . '/components/com_osma/files/generic/no_img.gif'; ?>" style="height:25px;"/>
                                        <?php } ?>
                                    </td>
                                    <td class="td<?php echo $compagnia->idCompagnia ?>" data-compagnia="<?php echo $compagnia->compagnia; ?>" data-fascia="<?php echo $compagnia->fascia; ?>" data-compagniaColor="<?php echo $compagnia->compagniaColor; ?>" data-iconColor="<?php echo $compagnia->iconColor; ?>"><?php echo $compagnia->compagnia; ?></td>
                                    <td class="center"><?php if ($compagnia->published) { ?><span class="glyphicon glyphicon-ok-circle green"></span><?php } else { ?><span class="glyphicon glyphicon-ban-circle orange"></span><?php } ?></td>
                                </tr>
                            <?php } //end foreach ?>
                            <? }else{ ?>
                        <td colspan="4">Nessuna compagnia inserita.</td>
                    <?php } //end if empty?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addCompagnia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close chiudi-btn" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati Compagnia</h4>
            </div>
            <div class="modal-body">
                <form id="addCompagniaForm" class="addCompagniaForm" enctype="multipart/form-data" method="post" action="">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h3 class="panel-title">Dati Compagnia</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-group col-md-12">
                                <input id="dataCompagnia" type="text" class="obb compagnia form-control" name="dataToSave" placeholder="Compagnia" value=""/>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                            <div class="form-group col-md-12">
                                <select id="fascia" class="obb fascia form-control" name="fascia" placeholder="Fascia">
                                    <option value="-">-</option>
                                    <option value="Fascia 1">Fascia 1</option>
                                    <option value="Fascia 2">Fascia 2</option>
                                    <option value="Fascia 3">Fascia 3</option>
                                </select>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                            <div class="col-md-6">
                                <label>Colore compagnia</label>
                                <div id="compagniaColor" class="input-group colorpicker-component">
                                    <input type="text" name="compagniaColor" value="" class="form-control" />
                                    <span class="input-group-addon"><i></i></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label>Colore icone compagnia</label>
                                <div id="iconColor" class="input-group colorpicker-component">
                                    <input type="text" name="iconColor" value="" class="form-control" />
                                    <span class="input-group-addon"><i></i></span>
                                </div>
                            </div>
                            <div class="form-group col-md-12">
                                <input type="file" name="subfile" id="subfile" class="inputbox required form-control brochurefile">
                            </div>
                            <div class="form-group col-md-12 image">
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="id" value="0" id="id" />
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default chiudi-btn" >Chiudi</button>
                <button type="button" class="btn btn-primary salvabtn">Salva</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">

//nuovo
    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();
        jQuery('#addCompagnia').modal();

        return false;
    });

//Modifica
    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idCompagnia = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idCompagnia = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {
            jQuery('#id').val(idCompagnia);

            //setto compagnia con valore
            dataCompagnia = jQuery(".td" + idCompagnia).data("compagnia");
            dataFascia = jQuery(".td" + idCompagnia).data("fascia");
            jQuery('#dataCompagnia').val(dataCompagnia);
            if (dataFascia && dataFascia != "") {
                jQuery('#fascia').val(dataFascia);
            } else {
                jQuery('#fascia').val("-");
            }
            compagniaColor = jQuery(".td" + idCompagnia).data("compagniacolor");
            iconColor = jQuery(".td" + idCompagnia).data("iconcolor");

            jQuery('#compagniaColor').colorpicker({color: compagniaColor, horizontal: true});
            jQuery('#iconColor').colorpicker({color: iconColor, horizontal: true});


            //carico immagine se presente
            var img = new Image();
            var url = '/osma/components/com_osma/files/compagnie/' + idCompagnia + '.jpg'

            img.src = url;
            var h = img.height;

            if (img.height != 0) {
                jQuery('.image').html('<img src="' + url + '" class="marca-img" style="height:50px;" />');
            } else {
                jQuery('.image').html('<p>Nessuna immagine caricata.</p>')
            }

            jQuery('#addCompagnia').modal();
        } else {
            var msg = {
                error: ['Seleziona un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Pubblica
    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=compagnie.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 7
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Sospendi
    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=compagnie.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 7
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Rimuovi
    jQuery(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=compagnie.rimuovi&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 7
                    }
                }).done(function (result) {
                    jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
                        if (jQuery(value).attr("checked")) {
                            el = jQuery(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//salvataggio dati compagnia
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;
        //controllo errori form
        var compagnia = jQuery('.compagnia').val();

        if (compagnia == "") {
            jQuery('.compagnia').parent().addClass("has-error");
            jQuery('.compagnia').parent().find('span').removeClass("hidden");
            inviaForm = 0;
        } else {
            jQuery('.compagnia').parent().removeClass("has-error");
            jQuery('.compagnia').parent().addClass("has-success");
            jQuery('.compagnia').parent().find('span').addClass("hidden");
            inviaForm = 1
        }

        if (inviaForm == 1) {
            var addcompagnieformfield = new FormData(jQuery('#addCompagniaForm')[0]);

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=compagnie.salva&format=raw&tmpl=component&type=4',
                data: addcompagnieformfield,
                cache: false,
                contentType: false,
                processData: false
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addCompagnia').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                } else if (data == 'format') {
                    jQuery('#addCompagnia').modal('toggle');
                    var msg = {
                        error: ['Il formato immagine deve essere .jpg!']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                } else {
                    jQuery('#addCompagnia').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                }
            });
        }

        return false;
    });


//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }

//chiudi-btn
    jQuery(document).on('click', '.chiudi-btn', function (event) {
        event.preventDefault();
        jQuery('#addCompagnia').modal('toggle');
        jQuery('.image').html('');
        jQuery('#compagniaColor').colorpicker('destroy')
        jQuery('#iconColor').colorpicker('destroy')

        return false;
    });
</script>
