<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaViewDashboard extends JViewLegacy {

    function display($tpl = null) {

        $this->title = JText::_("COM_OSMA_DASHBOARD");

        JFactory::getDocument()->addScript(JURI::base() . 'components/com_osma/assets/js/view-dashboard.js?ver=' . COM_OSMA_VER, 'text/javascript');
        JFactory::getDocument()->addScript("https://www.gstatic.com/charts/loader.js", 'text/javascript');

        JFactory::getDocument()->addStyleSheet(JURI::base() . 'components/com_osma/assets/css/view-dashboard.css?ver=' . COM_OSMA_VER);

        $this->model = $this->getModel();

        $this->chiamate = array(
            'forfait' => array(
                'totale' => $this->get('TotaleChiamateForfait'),
                'aperte' => $this->get('TotaleChiamateForfaitAperte'),
                'chiuse' => $this->get('TotaleChiamateForfaitChiuse'),
                'sospese' => $this->get('TotaleChiamateForfaitSospese'),
                'incorso' => $this->get('TotaleChiamateForfaitInCorso'),
                'scadute' => $this->get('TotaleChiamateForfaitScadute'),
                'report' => $this->get('MonthlyForfait')
            ),
            'extraforfait' => array(
                'totale' => $this->get('TotaleChiamateExtraForfait'),
                'aperte' => $this->get('TotaleChiamateExtraForfaitAperte'),
                'chiuse' => $this->get('TotaleChiamateExtraForfaitChiuse'),
                'scadute' => $this->get('TotaleChiamateExtraForfaitScadute'),
                'sospese' => $this->get('TotaleChiamateExtraForfaitSospese'),
                'incorso' => $this->get('TotaleChiamateExtraForfaitInCorso'),
                'daconsuntivare' => $this->get('TotaleChiamateExtraForfaitDaConsuntivare'),
                'report' => $this->get('MonthlyExtraForfait')
            )
        );

        $this->chiamate['forfait']['scadute%'] = round((100 * $this->chiamate['forfait']['scadute']) / $this->chiamate['forfait']['totale'], 0);
        $this->chiamate['extraforfait']['scadute%'] = round((100 * $this->chiamate['extraforfait']['scadute']) / $this->chiamate['extraforfait']['totale'], 0);
        
        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        parent::display($tpl);
    }

}
