<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>


<?php if ($this->items) { ?>
    <div class="">
        <?php foreach ($this->items as $item) { ?>
            <div class="clearfix" id="capitolo-<?php echo $item->idCapitolo ?>">
                <div class="panel panel-default main-panel ">
                    <div class="panel-heading row flex flex-wrap">
                        <h3 class="panel-title col-xs-12 col-sm-9 col-lg-9">Capitolo <?php echo $item->codiceCapitolo ?>: <?php echo $item->nome ?></h3>
                        <div class="col-xs-12 col-sm-1 col-lg-3 text-right btn-wrapper">
                            <div class="btn-group btn-group-small">
                                <button class="btn btn-warning edit-capitolo" data-id="<?php echo $item->idCapitolo ?>">
                                    <i class="fa fa-edit"></i> Modifica
                                </button>
                                <button class="btn btn-danger remove-capitolo" data-id="<?php echo $item->idCapitolo ?>" data-capitolo="<?php echo $item->codiceCapitolo ?>">
                                    <i class="fa fa-times"></i> Rimuovi
                                </button>
                                <?php if ($item->sottocapitoli) { ?>
                                    <button class="btn btn-info collapsed" data-toggle="collapse" data-target="#collapsed-<?php echo $item->idCapitolo ?>">
                                        <i class="fa fa-chevron-down"></i>
                                    </button>
                                <?php } else { ?>
                                    <button class="btn btn-info disabled">
                                        <i class="fa fa-times"></i>
                                    </button>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body collapse" id="collapsed-<?php echo $item->idCapitolo ?>">
                        <?php get_sottocapitoli($item, $item->codiceCapitolo) ?>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
<?php }
?>

<div class="modal fade" id="new-capitolo" tabindex="-1" role="dialog" aria-labelledby="new-capitolo">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="new-capitolo-label">Aggiungi capitolo</h4>
            </div>
            <div class="modal-body">
                <form name="addCapitolo" action="" metohd="POST">
                    <div class="row">
                        <div class="col-sm-12">
                            <label class="clearfix" style="margin-bottom: 5px;">Capitolo genitore *</label>
                            <select name="idCapitoloGenitore" class="col-sm-12 chosen-select">
                                <option value="0" selected="selected">Capitolo principale</option>
                                <?php if ($this->items) { ?>
                                    <?php foreach ($this->items as $item) { ?>
                                        <option value="<?php echo $item->idCapitolo ?>"><?php echo $item->codiceCapitolo ?>: <?php echo $item->nome ?></option>
                                        <?php $this->option_sottocapitolo($item, "&nbsp;&nbsp;&nbsp;&nbsp;" . $item->codiceCapitolo) ?>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                        <div class="col-sm-12">
                            <label class="clearfix" style="margin-bottom: 5px;">Nome *</label>
                            <input type="text" name="nome" class="required" style="width: 100%;"/>
                        </div>
                        <div class="col-sm-12" style="margin-bottom: 15px;">
                            <label class="clearfix" style="margin-bottom: 5px;">Descrizione</label>
                            <textarea name="descrizione" rows="4"></textarea>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 5px;">Codice capitolo *</label>
                            <input type="text" name="codiceCapitolo" class="required" style="width: 100%;"/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 5px;">Prezziario *</label>
                            <select name="prezziario" class="col-sm-12 required">
                                <option value="1" selected="selected">Manutenzione</option>
                                <option value="2">Lavori</option>
                            </select>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 5px;">Unità di misura</label>
                            <input type="text" name="um" class="" style="width: 100%;"/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 5px;">Prezzo unitario</label>
                            <input type="text" name="prezzoUnitario" class="" style="width: 100%;"/>
                        </div>
                    </div>
                    <input type="hidden" name="idCapitolo" value=""/>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                <button type="button" class="btn btn-primary">Salva</button>
            </div>
        </div>
    </div>
</div>
<script>
    jQuery(function ($) {
        $(".chosen-select").chosen({
            no_results_text: "Nessun risultato",
            placeholder_text_single: "Seleziona",
            width: "100%"
        });
        $('#new-capitolo').on('hidden.bs.modal', function () {
            $("form[name='addCapitolo']").find("input, select, textarea").val("");
            $('.chosen-select').trigger("chosen:updated");
        });
        $(document).on("click", ".edit-capitolo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $id = $(this).data("id");
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getCapitolo&format=raw",
                method: 'POST',
                data: {
                    id: $id
                }
            }).done(function (response) {
                response = JSON.parse(response);
                $form = $("form[name='addCapitolo']");
                $form.find("[name='idCapitolo']").val(response.data.idCapitolo);
                $form.find("[name='idCapitoloGenitore']").val(response.data.idCapitoloGenitore);
                $form.find("[name='codiceCapitolo']").val(response.data.codiceCapitolo);
                $form.find("[name='descrizione']").val(response.data.descrizione);
                $form.find("[name='nome']").val(response.data.nome);
                $form.find("[name='prezziario']").val(response.data.prezziario);
                $form.find("[name='prezzoUnitario']").val((parseFloat(response.data.prezzoUnitario) > 0 ? response.data.prezzoUnitario : ''));
                $form.find("[name='um']").val(response.data.um);
                $('.chosen-select').trigger("chosen:updated");
                $('#new-capitolo').modal('show');
            });
        });
        $(document).on("click", ".remove-capitolo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            if (confirm("Eliminare il capitolo '" + $(this).data("capitolo") + "'?")) {

                $id = $(this).data("id");
                $.ajax({
                    url: "index.php?option=com_osma&task=preventivatore.removeCapitolo&format=raw",
                    method: 'POST',
                    data: {
                        id: $id
                    }
                }).done(function (response) {
                    response = JSON.parse(response);
                    if (response.success) {
                        window.location.reload();
                    }
                });
            }
        });
        $(document).on("click", "#new-capitolo button.btn-primary", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $form = $("form[name='addCapitolo']");
            $form.find(".required").each(function () {
                if ($.trim($(this).val()) === "") {
                    $(this).addClass("invalid");
                } else {
                    $(this).removeClass("invalid");
                }
            });
            if ($form.find(".required.invalid").size()) {
                return;
            }
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.addCapitolo&format=raw",
                method: 'POST',
                data: $form.serialize()
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    window.location.reload();
                }
            });
        });
    });
</script>

<?php

function get_sottocapitoli($item, $codCap = "") {
    if (!$item->sottocapitoli) {
        return;
    }
    foreach ($item->sottocapitoli as $subitem) {
        if ($subitem->um) {
            ?>
            <div class="clearfix capitolato-articoli">
                <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2">
                    <div class="row">
                        <strong><?php echo($codCap ? $codCap . "." . $subitem->codiceCapitolo : $subitem->codiceCapitolo) ?></strong>
                    </div>
                </div>
                <hr class="visible-xs clearfix"/>
                <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
                    <div class="row">
                        <?php echo $subitem->nome ?></strong>
                    </div>
                </div>
                <hr class="visible-xs clearfix"/>
                <div class="col-xs-6 col-sm-2 col-md-2 col-lg-1">
                    <div class="row text-right">
                        <strong>U.M.</strong>: <?php echo $subitem->um ?></strong>
                    </div>
                </div>
                <div class="col-xs-6 col-sm-2 col-md-2 col-lg-1">
                    <div class="row text-right">
                        <strong>P.U.</strong>: € <?php echo $subitem->prezzoUnitario ?></strong>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2">
                    <div class="row text-right">
                        <a href="javascript:void(0);" class="edit-capitolo" data-id="<?php echo $subitem->idCapitolo ?>"><i class="fa fa-edit"></i> Modifica</a> | 
                        <a href="javascript:void(0);" class="remove-capitolo" data-id="<?php echo $subitem->idCapitolo ?>"  data-capitolo="<?php echo $codCap . "." . $subitem->codiceCapitolo ?>"><i class="fa fa-times"></i> Rimuovi</a>
                    </div>
                </div>
            </div>
            <?php
        } else {
            ?>
            <div class="panel panel-default sub-panel ">
                <div class="panel-heading row flex flex-wrap">
                    <h4 class="panel-title col-xs-12 col-sm-10 col-lg-9">Capitolo <?php echo $codCap . "." . $subitem->codiceCapitolo ?>: <?php echo $subitem->nome ?></h4>
                    <div class=" col-xs-12 col-sm-1 col-lg-3 text-right btn-wrapper">
                        <div class="btn-group btn-group-small">
                            <button class="btn btn-warning edit-capitolo" data-id="<?php echo $subitem->idCapitolo ?>">
                                <i class="fa fa-edit"></i> Modifica
                            </button>
                            <button class="btn btn-danger remove-capitolo" data-id="<?php echo $subitem->idCapitolo ?>" data-capitolo="<?php echo $codCap . "." . $subitem->codiceCapitolo ?>">
                                <i class="fa fa-times"></i> Rimuovi
                            </button>
                            <?php if ($subitem->sottocapitoli) { ?>
                                <button class="btn btn-info collapsed" data-toggle="collapse" data-target="#collapsed-<?php echo $subitem->idCapitolo ?>">
                                    <i class="fa fa-chevron-down"></i>
                                </button>
                            <?php } else { ?>
                                <button class="btn btn-info disabled">
                                    <i class="fa fa-times"></i>
                                </button>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body collapse" id="collapsed-<?php echo $subitem->idCapitolo ?>">
                    <?php get_sottocapitoli($subitem, ($codCap ? $codCap . "." . $subitem->codiceCapitolo : $subitem->codiceCapitolo)) ?>
                </div>
            </div>
            <?php
        }
    }
}
